<?php
register_activation_hook(MBW_PLUGIN_FILE, 'mbw_business_install');

function mbw_business_install(){
	global $wpdb;
	require(MBW_PLUGIN_PATH."includes/mb-config.php");
	require(MBW_PLUGIN_PATH."includes/install/schema/mb-schema.php");

	mbw_create_query($mb_table_prefix.'user_withdrawal',$mb_schema["board"]);
	mbw_create_query($mb_table_prefix.'user_terms',$mb_schema["board"]);
		
	$board_options_rows							= array();
	$board_options_rows['user_register']		= "('user_register', '', 'bbs_basic', 'user/register', 'users', '', '', '', '', 'N', 'mb', 15, 50, 10, 'NONE', '', 0, 0, 0, 0, 0, 0, 0, 1, 1, 8, 99, 0, 99, 10, 10, 10, 8, 8, 0, 0, 0, 0, 'user', '2015-02-24 18:49:59', 0)";
	$board_options_rows['user_info']				= "('user_info', '', 'bbs_basic', 'user/info', 'users', '', '', '', '', 'N', 'mb', 15, 50, 10, 'NONE', '', 0, 0, 0, 0, 0, 0, 0, 1, 1, 8, 99, 1, 99, 10, 10, 10, 8, 8, 0, 0, 0, 0, 'user', '2015-02-24 18:49:59', 0)";
	$board_options_rows['user_find_id']			= "('user_find_id', '', 'bbs_basic', 'user/find_id', 'users', '', '', '', '', 'N', 'mb', 15, 50, 10, 'NONE', '', 0, 0, 0, 0, 0, 0, 0, 1, 1, 8, 99, 0, 99, 10, 10, 10, 8, 8, 0, 0, 0, 0, 'user', '2015-02-24 18:49:59', 0)";
	$board_options_rows['user_password']		= "('user_password', '', 'bbs_basic', 'user/password', 'users', '', '', '', '', 'N', 'mb', 15, 50, 10, 'NONE', '', 0, 0, 0, 0, 0, 0, 0, 1, 1, 8, 99, 0, 99, 10, 10, 10, 8, 8, 0, 0, 0, 0, 'user', '2015-02-24 18:49:59', 0)";
	$board_options_rows['user_withdrawal']	= "('user_withdrawal', '회원탈퇴 신청', 'bbs_withdrawal', '', '', '', '', '', '', 'N', 'mb', 15, 50, 10, 'NONE', '', 0, 0, 0, 0, 0, 0, 0, 1, 1, 8, 8, 1, 99, 10, 10, 10, 8, 99, 0, 0, 0, 0, 'user', '2017-05-24 18:49:59', 1)";
	$board_options_rows['user_terms']			= "('user_terms', '이용약관 및 개인정보처리방침 등록', 'bbs_basic', 'user/terms', '', '', '', '', '', 'C', 'mb', 15, 50, 10, 'TAB_RELOAD', '이용약관,개인정보처리방침', 0, 0, 0, 0, 0, 0, 0, 1, 1, 8, 8, 8, 99, 10, 10, 10, 8, 99, 0, 0, 0, 0, 'board', '2022-06-01 12:00:00', 1)";
	mbw_install_add_board_options($board_options_rows,$mb_admin_tables["board_options"]);

	$options_rows									= array();
	$options_rows['bitly_key']						= "('plugin', 'social', 'Bitly Key', 'bitly_key', '', '', '', '', 'width:500px;', '', '', 'text', '')";
	$options_rows['bitly_id']						= "('plugin', 'social', 'Bitly Id', 'bitly_id', '', '', '', '', 'width:500px;', '', '', 'text', '')";
	$options_rows['use_bitly']						= "('setup', 'social', 'Social Sharing Short URL(Bitly)', 'use_bitly', '0', '0,1', '사용안함,사용', '', '', '', '', 'radio', '')";

	$options_rows['instagram_secret']			= "('plugin', 'social', 'Instagram Client Secret', 'instagram_secret', '', '', '', '', 'width:500px;', '', '', 'text', '')";
	$options_rows['instagram_id']					= "('plugin', 'social', 'Instagram Client Id', 'instagram_id', '', '', '', '', 'width:500px;', '', '', 'text', '')";
	
	$options_rows['twitter_token_secret']		= "('plugin', 'social', 'Twitter Access Token Secret', 'twitter_token_secret', '', '', '', '', 'width:500px;', '', '', 'text', '')";
	$options_rows['twitter_token']				= "('plugin', 'social', 'Twitter Access Token', 'twitter_token', '', '', '', '', 'width:500px;', '', '', 'text', '')";
	$options_rows['twitter_secret']				= "('plugin', 'social', 'Twitter Consumer Secret', 'twitter_secret', '', '', '', '', 'width:500px;', '', '', 'text', '')";
	$options_rows['twitter_key']					= "('plugin', 'social', 'Twitter Consumer key', 'twitter_key', '', '', '', '', 'width:500px;', '', '', 'text', '')";

	$options_rows['google_secret']				= "('plugin', 'social', 'Google Client Secret', 'google_secret', '', '', '', '', 'width:500px;', '', '', 'text', '')";
	$options_rows['google_id']						= "('plugin', 'social', 'Google Client Id', 'google_id', '', '', '', '', 'width:500px;', '', '', 'text', '')";
	$options_rows['google_key']					= "('plugin', 'social', 'Google Server API Key', 'google_key', '', '', '', '', 'width:500px;', '', '', 'text', '')";

	$options_rows['facebook_secret']			= "('plugin', 'social', 'Facebook App Secret', 'facebook_secret', '', '', '', '', 'width:500px;', '', '', 'text', '')";
	$options_rows['facebook_id']					= "('plugin', 'social', 'Facebook App Id', 'facebook_id', '', '', '', '', 'width:500px;', '', '', 'text', '')";
	
	$options_rows['naver_secret']					= "('plugin', 'social', 'Naver Client Secret', 'naver_secret', '', '', '', '', 'width:500px;', '', '', 'text', '')";
	$options_rows['naver_id']						= "('plugin', 'social', 'Naver Client Id', 'naver_id', '', '', '', '', 'width:500px;', '', '', 'text', '')";

	$options_rows['kakao_javascript_key']		= "('plugin', 'social', 'Kakao JavaScript key', 'kakao_javascript_key', '', '', '', '', 'width:500px;', '', '', 'text', '')";
	$options_rows['kakao_restapi_key']			= "('plugin', 'social', 'Kakao REST API key', 'kakao_restapi_key', '', '', '', '', 'width:500px;', '', '', 'text', '')";
	
	$options_rows['social_instagram_login']	= "('plugin', 'social', ' - Instagram Social Login', 'social_instagram_login', '1', '0,1', '사용안함,사용', '', '', '', '', 'radio', '')";
	$options_rows['social_twitter_login']		= "('plugin', 'social', ' - Twitter Social Login', 'social_twitter_login', '1', '0,1', '사용안함,사용', '', '', '', '', 'radio', '')";
	$options_rows['social_google_login']		= "('plugin', 'social', ' - Google Social Login', 'social_google_login', '1', '0,1', '사용안함,사용', '', '', '', '', 'radio', '')";
	$options_rows['social_facebook_login']		= "('plugin', 'social', ' - Facebook Social Login', 'social_facebook_login', '1', '0,1', '사용안함,사용', '', '', '', '', 'radio', '')";
	$options_rows['social_naver_login']			= "('plugin', 'social', ' - Naver Social Login', 'social_naver_login', '1', '0,1', '사용안함,사용', '', '', '', '', 'radio', '')";
	$options_rows['social_kakao_login']			= "('plugin', 'social', ' - Kakao Social Login', 'social_kakao_login', '1', '0,1', '사용안함,사용', '', '', '', '', 'radio', '')";
	$options_rows['social_login_title']			= "('plugin', 'social', ' - Social Login 제목', 'social_login_title', 'Social Login', '', '', '', 'width:500px;', '', '', 'text', '')";
	$options_rows['social_login']					= "('setup', 'social', 'Social Login', 'social_login', '0', '0,1', '사용안함,사용', '', '', '', '', 'radio', '')";
	
	$options_rows['social_sharing_align']		= "('plugin', 'social', ' - Social Sharing 정렬', 'social_sharing_align', 'right', 'left,center,right', 'Left,Center,Right', '', '', '', '', 'radio', '')";
	$options_rows['social_sharing_position']	= "('plugin', 'social', ' - Social Sharing 위치', 'social_sharing_position', 'bottom', 'top,bottom,top-bottom', 'Top,Bottom,Top-Bottom', '', '', '', '', 'radio', '')";
	$options_rows['social_sharing_title']			= "('plugin', 'social', ' - Social Sharing 제목', 'social_sharing_title', 'Share it now!', '', '', '', 'width:500px;', '', '', 'text', '')";	
	$options_rows['social_sharing']				= "('setup', 'social', 'Social Sharing', 'social_sharing', '1', '0,1', '사용안함,사용', '', '', '', '', 'radio', '')";

	$options_rows['user_today_max_point']		= "('setup', 'user', '최대 포인트 적립(1일)', 'user_today_max_point', '30000', '', '', '', 'width:100px;', 'onkeydown=\"return inputOnlyNumber(event)\"', 'maxlength=\"10\"', 'text', '<br>하루에 게시물,댓글 작성을 통해 회원에게 지급되는 최대 포인트 설정 (최대 포인트 획득한 이후에 작성한 게시물에 대해서는 포인트 지급안함)')";
	$options_rows['user_phone_type']			= "('setup', 'user', '핸드폰번호 템플릿', 'user_phone_type', 'input3', 'none,input3', '사용안함,기본형 템플릿(번호를 3개로 분리해서 입력)', '', '', '', '', 'select', '<br>회원가입 및 회원정보 페이지에서 핸드폰 번호 입력시 사용할 템플릿 설정')";
	$options_rows['user_postcode_type']			= "('setup', 'user', '우편번호 템플릿', 'user_postcode_type', 'kakao_layer1', 'none,kakao_popup1,kakao_layer1', '사용안함,카카오 우편번호(팝업),카카오 우편번호(레이어)', '', '', '', '', 'select', '<br>회원가입 및 회원정보 페이지에서 주소 입력시 사용할 우편번호 템플릿 설정')";
	$options_rows['user_layout_max_width']		= "('setup', 'user', '회원 템플릿 최대넓이', 'user_layout_max_width', 'mb-max-width-700', 'mb-max-width-500,mb-max-width-600,mb-max-width-700,mb-max-width-800,mb-max-width-900,mb-max-width-1000,mb-max-width-1100,mb-max-width-1200,mb-max-width-1300,mb-max-width-1400,mb-max-width-1500', '500px,600px,700px,800px,900px,1000px,1100px,1200px,1300px,1400px,1500px', '', '', '', '', 'select', '')";
	$options_rows['mobile_user_layout_type']	= "('setup', 'user', ' - 회원 템플릿(Mobile)', 'mobile_user_layout_type', 'responsive-box4', 'responsive-box1,responsive-box2,responsive-box3,responsive-box4', '반응형 템플릿1,반응형 템플릿2,반응형 템플릿3,반응형 템플릿4', '', '', '', '', 'select', '<br>회원가입 및 회원정보 페이지에 적용할 템플릿 설정(Mobile)')";
	$options_rows['tablet_user_layout_type']		= "('setup', 'user', ' - 회원 템플릿(Tablet)', 'tablet_user_layout_type', 'responsive-box2', 'responsive-box1,responsive-box2,responsive-box3,responsive-box4', '반응형 템플릿1,반응형 템플릿2,반응형 템플릿3,반응형 템플릿4', '', '', '', '', 'select', '<br>회원가입 및 회원정보 페이지에 적용할 템플릿 설정(Tablet)')";
	$options_rows['user_layout_type']			= "('setup', 'user', '회원 템플릿', 'user_layout_type', 'responsive-box2', 'responsive-box1,responsive-box2,responsive-box3,responsive-box4', '반응형 템플릿1,반응형 템플릿2,반응형 템플릿3,반응형 템플릿4', '', '', '', '', 'select', '<br>회원가입 및 회원정보 페이지에 적용할 템플릿 설정')";

	$options_rows['use_seo']						= "('setup', 'board', '검색 엔진 최적화(SEO)', 'use_seo', '1', '0,1', '사용안함,사용', '', '', '', '', 'radio', '')";
	$options_rows['user_register_terms']		= "('setup', 'user', '회원가입 약관동의', 'user_register_terms', '1', '0,1', '사용안함,사용', '', '', '', '', 'radio', '<br>회원가입시 약관동의 화면을 보여줄지 여부 설정')";
	$options_rows['user_logout_redirect_url']	= "('setup', 'user', 'Logout Redirect URL', 'user_logout_redirect_url', '', '', '', '', 'width:500px;', '', '', 'text', '<br>로그아웃 완료후 이동할 URL 주소를 입력합니다(생략시 홈페이지 첫화면으로 이동)')";
	$options_rows['user_login_redirect_url']	= "('setup', 'user', 'Login Redirect URL', 'user_login_redirect_url', '', '', '', '', 'width:500px;', '', '', 'text', '<br>로그인 완료후 이동할 URL 주소를 입력합니다(생략시 홈페이지 첫화면으로 이동)')";
	$options_rows['user_form_mode']			= "('setup', 'user', '회원 폼 모드', 'user_form_mode', 'MB', 'WP,MB', 'WP-FORM,MB-FORM', '', '', '', '', 'radio', '<br>WP-FORM : 워드프레스 로그인 주소로 연결, MB-FORM : 망보드 로그인 주소로 연결')";	
	$options_rows['user_mode']					= "('setup', 'user', '회원 모드', 'user_mode', 'WP', 'WP,MB', 'WP-USER,MB-USER', '', '', '', '', 'radio', '<br>WP-USER : 워드프레스 회원 시스템 사용, MB-USER : 망보드 회원 시스템을 분리해서 사용 (관리자는 http://홈페이지/wp-login.php 주소로만 접속 가능)')";	

	mbw_install_add_options($options_rows,$mb_admin_tables["options"]);

	//비즈니스 패키지 페이지 추가
	$insert_check		= $wpdb->get_var("SELECT count(*) from ".$wpdb->prefix."posts where post_content like '%[mb_user name=\"login\"]%'");
	if(empty($insert_check)){

		$insert_page	= array();
		$insert_page[]	= array('post_title' => '로그인','post_content' => '[mb_user name="login"]','post_name' => 'user_login','comment_status' =>'closed','ping_status'=>'closed','post_status'=>'publish','post_type'=>'page');
		$insert_page[]	= array('post_title' => '로그아웃','post_content' => '[mb_user name="logout"]','post_name' => 'logout','comment_status' =>'closed','ping_status'=>'closed','post_status'=>'publish','post_type'=>'page');
		$insert_page[]	= array('post_title' => '아이디 찾기','post_content' => '[mb_user name="user_find_id" use_page_title="true"]','post_name' => 'user_find_id','comment_status' =>'closed','ping_status'=>'closed','post_status'=>'publish','post_type'=>'page');
		$insert_page[]	= array('post_title' => '아이디/비밀번호 찾기','post_content' => '[mb_user name="lost_password" use_page_title="true"]','post_name' => 'lost_password','comment_status' =>'closed','ping_status'=>'closed','post_status'=>'publish','post_type'=>'page');
		$insert_page[]	= array('post_title' => '비밀번호 변경','post_content' => '[mb_user name="modify_password" use_page_title="true"]','post_name' => 'modify_password','comment_status' =>'closed','ping_status'=>'closed','post_status'=>'publish','post_type'=>'page');
		$insert_page[]	= array('post_title' => '회원정보','post_content' => '[mb_user name="user_info" use_page_title="true" login_page="1"]','post_name' => 'user_info','comment_status' =>'closed','ping_status'=>'closed','post_status'=>'publish','post_type'=>'page');
		$insert_page[]	= array('post_title' => '회원가입','post_content' => '[mb_user name="user_register" use_page_title="true"]','post_name' => 'user_register','comment_status' =>'closed','ping_status'=>'closed','post_status'=>'publish','post_type'=>'page');
		$insert_page[]	= array('post_title' => '개인정보 처리방침','post_content' => '[mb_user name="privacy_policy" use_page_title="true"]','post_name' => 'privacy_policy','comment_status' =>'closed','ping_status'=>'closed','post_status'=>'publish','post_type'=>'page');
		$insert_page[]	= array('post_title' => '이용약관','post_content' => '[mb_user name="terms_service" use_page_title="true"]','post_name' => 'terms_service','comment_status' =>'closed','ping_status'=>'closed','post_status'=>'publish','post_type'=>'page');
		$insert_page[]	= array('post_title' => '회원탈퇴','post_content' => '[mb_board name="user_withdrawal" use_page_title="true" login_page="1" style=""]','post_name' => 'user_withdrawal','comment_status' =>'closed','ping_status'=>'closed','post_status'=>'publish','post_type'=>'page');

		foreach($insert_page as $item){
			wp_insert_post($item);
		}
	}

	//설치시 이용약관 및 개인정보처리방침 게시물 추가
	$pid			= intval($wpdb->get_var("select pid from `".$mb_table_prefix."user_terms` ORDER BY pid DESC limit 1"))+1;
	if($pid==1){
		$user_name		= '관리자';
		$user_pid			= '1';
		$user				= wp_get_current_user();
		if(!empty($user) && !empty($user->data->user_login)){
			if(!empty($user->data->user_login)) $user_pid			= $wpdb->get_var("select pid from `".$mb_table_prefix."users` WHERE user_id='".$user->data->user_login."'");
			if(!empty($user->data->display_name)) $user_name	= $user->data->display_name;
		}
		$reg_date		= date("Y-m-d H:i:s", current_time('timestamp'));		
		$query		= "INSERT INTO `".$mb_table_prefix."user_terms` (`pid`, `gid`, `user_name`, `user_pid`, `passwd`, `reg_date`, `modify_date`, `calendar_date`, `data_type`, `editor_type`, `category1`, `category2`, `title`, `content`) VALUES ";	
		if(is_file(MBW_PLUGIN_PATH."plugins/user/user-terms-service.php")){
			$content1		= file_get_contents(MBW_PLUGIN_PATH."plugins/user/user-terms-service.php");
			$content1		= str_replace(array("\r\n","\n"), "", mbw_htmlspecialchars2("<b>이용약관 수정방법</b><br>관리자 > MangBoard > 게시판관리 > user_terms 게시판 이름 클릭 => 이용약관 게시물 수정 또는 새로등록<br>카테고리가 '이용약관'으로 등록된 게시물 중에서 가장 마지막으로 등록된 게시물 내용이 이용약관으로 표시됨<br><br>".$content1));
			$wpdb->query($query."(".$pid.", ".$pid.", '".$user_name."', ".$user_pid.", '".$user_pid."', '".$reg_date."', '".$reg_date."', '".$reg_date."', 'html', 'C', '이용약관', 'ko_KR', '이용약관','".$content1."');");
			$pid++;
		}
		if(is_file(MBW_PLUGIN_PATH."plugins/user/user-privacy-policy.php")){	
			$content2		= file_get_contents(MBW_PLUGIN_PATH."plugins/user/user-privacy-policy.php");
			$content2		= str_replace(array("\r\n","\n"), "", mbw_htmlspecialchars2("<b>개인정보처리방침 수정방법</b><br>관리자 > MangBoard > 게시판관리 > user_terms 게시판 이름 클릭 => 개인정보처리방침 게시물 수정 또는 새로등록<br>카테고리가 '개인정보처리방침'으로 등록된 게시물 중에서 가장 마지막으로 등록된 게시물 내용이 개인정보처리방침으로 표시됨<br><br>".$content2));
			$wpdb->query($query."(".$pid.", ".$pid.", '".$user_name."', ".$user_pid.", '".$user_pid."', '".$reg_date."', '".$reg_date."', '".$reg_date."', 'html', 'C', '개인정보처리방침', 'ko_KR', '개인정보처리방침','".$content2."');");
		}
	}
}


?>