<?php
$desktop_model				= array();
$tablet_model				= array();
$mobile_model				= array();
$desktop_model['version']	= "1.0.0";

$user_layout_type			= mbw_get_option("user_layout_type");
$tablet_user_layout_type	= mbw_get_option("tablet_user_layout_type");
$mobile_user_layout_type	= mbw_get_option("mobile_user_layout_type");
$user_layout_max_width	= mbw_get_option("user_layout_max_width");

if(!empty($user_layout_type)) $layout_type		= $user_layout_type;
else $layout_type	= 'responsive-box2';		// responsive-box1, responsive-box2, responsive-box3, responsive-box4
if(!empty($tablet_user_layout_type)) $tablet_layout_type		= $tablet_user_layout_type;
else $tablet_layout_type	= 'responsive-box2';		// responsive-box1, responsive-box2, responsive-box3, responsive-box4
if(!empty($mobile_user_layout_type)) $mobile_layout_type		= $mobile_user_layout_type;
else $mobile_layout_type	= 'responsive-box4';		// responsive-box1, responsive-box2, responsive-box3, responsive-box4
if(!empty($user_layout_max_width)) $layout_max_width		= $user_layout_max_width;
else $layout_max_width	= 'mb-max-width-700';

mbw_set_vars("user_layout_type",$layout_type);
mbw_set_vars("tablet_user_layout_type",$tablet_layout_type);
mbw_set_vars("mobile_user_layout_type",$mobile_layout_type);
if(mbw_is_login()){
	mbw_set_vars("user_layout_class",$layout_max_width);
}

$user_head_text	= "";
//$user_head_text	= '{"tpl":"tag","tag_name":"div","text":"회원정보","style":"font-weight:600;font-size:19px;padding:0px 4px 5px;margin-bottom:9px;border-bottom:solid 1px #dbdbdb !important;"},';

$desktop_model['write']		= $user_head_text.'
{"tpl":"tag","tag_name":"table","type":"start","name":"'.__MW("W_USER_INFO").'","width":"15%,*","mobile_width":"90px,*","class":"table table-write","style":""},
	{"field":"fn_user_id","name":"W_ID","width":"100%","modify":"user_view_id"},
	{"field":"fn_user_name","name":"W_NAME","width":"100%","required":"(*)","maxlength":"20","pattern":"user_name","pattern_error":"'.__MW("MSG_NAME_INPUT_ERROR1").'(2~20)","filter":"filter_admin","filter_error":"MSG_NAME_FILTER_ERROR"},
	{"field":"fn_user_email","name":"W_EMAIL","width":"100%","pattern":"email","pattern_error":"MSG_EMAIL_FILTER_ERROR"},
	{"field":"fn_passwd","name":"W_PASSWORD","width":"100px","type":"user_button_modify_password"},
	{"field":"fn_user_phone","name":"W_MOBILE","width":"100%","type":"user_handphone"},
	{"field":"fn_user_picture","name":"W_THUMBNAIL","width":"100%","type":"user_picture_upload"},
	{"field":"home_address1","type":"user_address_info","name":"W_ADDRESS","width":"100%"},
	{"field":"fn_allow_mailing","name":"W_AGREE_RECEIVE_EMAIL","width":"100%","type":"radio","data":"1,0","label":"'.__MW("W_EMAIL_ON_OFF").'","default":"1"},
{"tpl":"tag","tag_name":"table","type":"end"}
';
//{"field":"fn_allow_sms","name":"SMS 수신동의","width":"100%","type":"radio","data":"1,0","label":" 수신, 수신안함","default":"1"},
//{"field":"fn_user_phone","name":"W_MOBILE","width":"100%","type":"user_handphone","pattern":"phone","pattern_error":"MSG_PHONE_INPUT_ERROR1"},

if(!function_exists('mbw_board_user_info_api_body')){
	function mbw_board_user_info_api_body(){
		if(mbw_get_option("user_mode")=="WP"){
			global $mdb;
			$user_info		= array();
			if(mbw_get_param("user_name")!="") $user_info['display_name']		= mbw_get_param("user_name");
			if(mbw_get_param("user_email")!="") $user_info['user_email']		= mbw_get_param("user_email");
			if(!empty($user_info)) $mdb->update( $mdb->wp_prefix."users",  $user_info, array( 'user_login' => mbw_get_user("fn_user_id") ) );				
		}
	}
}
add_action('mbw_board_api_body', 'mbw_board_user_info_api_body',5); 
add_action('mbw_board_api_init', 'mbw_join_user_phone',5);

$tablet_model									= $desktop_model;
$mobile_model								= $desktop_model;
mbw_set_fields("select_board",$mb_fields["users"]);

mbw_set_pattern("pattern_en_num_4ge","/^[a-z0-9_]{4,50}$/i");
mbw_set_pattern("pattern_2ge","/^.{2,}$/");
mbw_set_pattern("pattern_4ge","/^.{4,}$/");
mbw_set_pattern("email","/^[0-9a-zA-Z]([-_\.]?[0-9a-zA-Z])*@[0-9a-zA-Z]([-_\.]?[0-9a-zA-Z])*\.[a-zA-Z]{2,3}$/i");
mbw_set_pattern("phone","/^\d{3}-\d{3,4}-\d{4}$/");
mbw_set_pattern("user_name","/^[0-9a-zA-Zㄱ-ㅎㅏ-ㅣ가-힝 ]{2,60}$/");
mbw_set_filter("filter_admin","admin,administrator,관리자,운영자");

mbw_set_board_option("fn_list_level",99);
if(mbw_is_login()){
	mbw_set_board_where(array("field"=>"fn_pid", "value"=>mbw_get_user("fn_pid")));
}else{
	if(mbw_get_request_mode()=="Frontend"){
		mbw_set_result_data(array("state"=>"error","script"=>mbw_get_move_script("login")));
	}else exit;
}
?>