<?php
$desktop_model				= array();
$tablet_model					= array();
$mobile_model				= array();
$desktop_model['version']	= "1.0.0";

$layout_type		= 'responsive-box4';		// responsive-box1, responsive-box2, responsive-box3, responsive-box4
mbw_set_vars("user_layout_type",$layout_type);
mbw_set_vars("user_layout_class",'mb-max-width-500');

$desktop_model['reset_password']		= '
{"tpl":"tag","tag_name":"table","type":"start","name":"'.__MW("W_FIND_PASSWORD").'","width":"15%,*","mobile_width":"90px,*","class":"table table-write","style":""},
{"field":"fn_user_id","name":"W_ID","width":"100%","required":"(*)","unique":"","modify":"text_static"},
{"field":"fn_user_email","name":"W_EMAIL","required":"(*)","width":"100%"},
{"tpl":"tag","tag_name":"table","type":"end"}
';

$desktop_model['modify_password']		= '
{"tpl":"tag","tag_name":"table","type":"start","name":"'.__MW("W_CHANGE_PASSWORD").'","width":"20%,*","mobile_width":"125px,*","class":"table table-write","style":""},
{"field":"fn_passwd_old","name":"W_EXISTING_PASSWORD","width":"100%","type":"password","required":"(*)","maxlength":"30"},
{"field":"fn_passwd","name":"W_NEW_PASSWORD","width":"100%","type":"password","required":"(*)","maxlength":"30","pattern":"pattern_8ge","pattern_error":"MSG_PASSWORD_AT_LEAST_8DIGITS","description":"<br>('.__MM("MSG_PASSWORD_AT_LEAST_8DIGITS").')"},
{"field":"fn_passwd2","name":"W_NEW_PASSWORD_CONFIRMATION","width":"100%","type":"password","add_name":"(*)","maxlength":"30","pattern":"pattern_8ge","pattern_error":"MSG_PASSWORD_AT_LEAST_8DIGITS","description":"<br>('.__MM("MSG_NEW_PASSWORD_INPUT_AGAIN").')"},
{"tpl":"tag","tag_name":"table","type":"end"}
';


$tablet_model									= $desktop_model;
$mobile_model								= $desktop_model;
mbw_set_fields("select_board",$mb_fields["users"]);

mbw_set_pattern("pattern_en_num_4ge","/^[a-z0-9_]{4,50}$/i");
mbw_set_pattern("pattern_2ge","/^.{2,}$/");
mbw_set_pattern("pattern_4ge","/^.{4,}$/");
mbw_set_pattern("pattern_8ge","/^.{8,}$/");

mbw_set_board_option("fn_list_level",99);
if(mbw_is_login()){
	mbw_set_board_where(array("field"=>"fn_pid", "value"=>mbw_get_user("fn_pid")));
}else{
	if(mbw_get_request_mode()=="Frontend"){
		mbw_set_board_where(array("field"=>"fn_pid", "value"=>"0"));
	}
}
?>