<?php
if(empty($social_data['kakao_restapi_key'])){
	echo '망보드 옵션설정에서 "Kakao REST API key" 항목을 입력해 주세요';
	exit;
}
if(!empty($_GET["code"])){
	require_once("sdk/kakao/kakao.php");
	$connection		= new Kakao($social_data['kakao_restapi_key'],$social_data['kakao_secret'],$_GET["code"],$redirect_uri);
	$user_profile		= $connection->get("https://kapi.kakao.com/v2/user/me");

	if(!empty($user_profile->id)){
		$login_info["id"]					= "1K".$user_profile->id;
		$login_info["name"]				= "";
		$login_info["email"]				= "";
		$login_info["thumbnail"]		= "";
		$login_info["link"]				= "";

		if(!empty($user_profile->kakao_account)){
			if(!empty($user_profile->kakao_account->profile)){
				if(!empty($user_profile->kakao_account->profile->nickname)){
					$login_info["name"]				= $user_profile->kakao_account->profile->nickname;
				}
			}
			if(!empty($user_profile->kakao_account->email)){
				$login_info["email"]				= $user_profile->kakao_account->email;
			}
		}
		if(!empty($user_profile->properties)){
			if(!empty($user_profile->properties->thumbnail_image)){
				$login_info["thumbnail"]		= $user_profile->properties->thumbnail_image;
			}
			if(empty($login_info["name"]) && !empty($user_profile->properties->nickname)){
				$login_info["name"]		= $user_profile->properties->nickname;
			}
		}
		if(empty($login_info["name"])){
			$login_info["name"]		= $login_info["id"];
		}
	}else if(!empty($user_profile->msg)){
		echo $user_profile->msg;
	}
}else{
	
	$login_url	= "https://kauth.kakao.com/oauth/authorize?client_id=".$social_data['kakao_restapi_key']."&client_secret=".$social_data['kakao_secret']."&redirect_uri=".trim(urlencode($redirect_uri))."&response_type=code";
	header('Location: ' . $login_url);	
	exit;
}
?>