<?php
define("MBW_REQUEST_MODE", "API");
if(!defined('_MB_')) exit();

$type							= "";
$file_name					= "";
$platform					= "";
$user_remember			= 0;
$user_mode				= "";
$login_info					= array("id"=>"","name"=>"","thumbnail"=>"","link"=>"","email"=>"","access_token"=>array());

if(!empty($_REQUEST["auth"])){
	$platform			= $_REQUEST["auth"];
	$type					= "auth";
}else if(!empty($_REQUEST["source"])){
	$platform			= $_REQUEST["source"];
	$type					= "auth";
}else if(!empty($_REQUEST["login"])){
	$platform			= $_REQUEST["login"];
	$type					= "login";	
}else if(!empty($_REQUEST["type"])){
	$platform			= $_REQUEST["type"];
	$type					= "login";	
}

require(MBW_PLUGIN_PATH."plugins/sociallogin/setup.php");

$file_name			= 'login.'.$platform.'.php';
$redirect_uri		= $redirect_uri.'&auth='.$platform;

if($platform=="facebook"){
	if(version_compare(PHP_VERSION, '5.4.0', '<')) $file_name			= 'login.'.$platform.'_old.php';	
}else if($platform=="twitter"){
	if(version_compare(PHP_VERSION, '5.4.0', '<')) $file_name			= 'login.'.$platform.'_old.php';		
}

do_action('mbw_sociallogin_header');

if(!empty($type) && is_file(MBW_PLUGIN_PATH."plugins/sociallogin/".$file_name)){

	$session = @session_id();
	if(empty($session)) @session_start();

	if(!empty($_REQUEST["user_remember"])) $_SESSION["mb_user_remember"]		= intval($_REQUEST["user_remember"]);
	if(!empty($_REQUEST["user_mode"])) $_SESSION["mb_user_mode"]		= ($_REQUEST["user_mode"]);

	if(!empty($social_login_data)){
		$login_info		= $social_login_data;
	}else{
		require_once (MBW_PLUGIN_PATH."plugins/sociallogin/".$file_name);
	}	

	if(!empty($login_info["id"]) && !empty($login_info["name"])){		

		$user_data			= array();
		$where_data		= array();			
		$user_id				= $login_info["id"];
		$user_passwd		= wp_generate_password( 20 );

		if(!empty($_REQUEST["user_remember"])) $user_remember	= intval($_REQUEST["user_remember"]);
		else if(!empty($_SESSION["mb_user_remember"])) $user_remember	= intval($_SESSION["mb_user_remember"]);
		if(!empty($_REQUEST["user_mode"])) $user_mode	= ($_REQUEST["user_mode"]);
		else if(!empty($_SESSION["mb_user_mode"])) $user_mode	= ($_SESSION["mb_user_mode"]);

		if(empty($user_mode)) $user_mode		= mbw_get_option("user_mode");
		$expire		= 0;
		if($user_remember) $expire		= mbw_get_timestamp() + 7776000;

		if($user_mode=="WP"){
			$wp_user_pid				= intval($mdb->get_var($mdb->prepare("SELECT ID from ".$wpdb->users." WHERE user_login = %s", $user_id )));
			if($wp_user_pid==0){
				if(!empty($login_info["email"])){
					$wp_user_email_check				= intval($mdb->get_var($mdb->prepare("SELECT count(*) from ".$wpdb->users." WHERE user_email = %s", $login_info["email"] )));
					if($wp_user_email_check!=0) $login_info["email"]		= "";
				}
				$user_data["user_login"]			= $user_id;
				$user_data["user_pass"]				= ($user_passwd);
				$user_data["user_email"]			= $login_info["email"];
				$user_data["user_nicename"]		= '';
				$user_data["display_name"]		= $login_info["name"];
				$user_data["nickname"]				= $login_info["name"];
				$user_data["user_url"]				= $login_info["link"];
				$wp_user_pid							= mbw_wp_insert_user($user_data);
				add_user_meta( $wp_user_pid, 'mb_thumbnail', $login_info["thumbnail"]);
			}
			wp_clear_auth_cookie();
			mbw_clear_auth_cookie();
			wp_set_auth_cookie($wp_user_pid, $user_remember);
			mbw_generate_auth_cookie($user_id,$user_mode,$expire);
		}else if($user_mode=="MB"){
			if(!empty($mb_admin_tables["users"])){
				$user_check			= intval($mdb->get_var($mdb->prepare("SELECT count(*) from ".$mb_admin_tables["users"]." WHERE ".$mb_fields["users"]["fn_user_id"]." = %s", $user_id )));

				if($user_check==0){
					$user_data[$mb_fields["users"]["fn_user_id"]]							= $user_id;
					$user_data[$mb_fields["users"]["fn_reg_mail"]]						= 1;
					$user_data[$mb_fields["users"]["fn_user_platform"]]				= $platform;
					$user_data[$mb_fields["users"]["fn_user_name"]]					= $login_info["name"];
					$user_data[$mb_fields["users"]["fn_user_picture"]]					= $login_info["thumbnail"];
					$user_data[$mb_fields["users"]["fn_user_homepage"]]				= $login_info["link"];
					
					$user_data[$mb_fields["users"]["fn_passwd"]]						= mbw_hash_password($user_passwd);
					$user_data[$mb_fields["users"]["fn_user_email"]]					= $login_info["email"];
					if(!empty($login_info["email"])) $user_data[$mb_fields["users"]["fn_reg_mail"]]					= 1;
					else $user_data[$mb_fields["users"]["fn_reg_mail"]]					= 0;

					$user_data[$mb_fields["users"]["fn_user_auth_key"]]				= mbw_get_user_auth_key();
					$user_data[$mb_fields["users"]["fn_reg_date"]]						= mbw_get_current_time();
					$user_data[$mb_fields["users"]["fn_last_login"]]						= mbw_get_current_time();
					$user_data[$mb_fields["users"]["fn_user_access_token"]]			= mbw_generate_access_token();

					//회원 가입 포인트 지급
					$join_point		= intval(mbw_get_option("user_join_point"));
					if($join_point>0) $user_data[$mb_fields["users"]["fn_user_point"]]		= $join_point;
					$mdb->db_query("INSERT",$mb_admin_tables["users"], $user_data, $where_data);
					//회원 포인트 로그
					if($join_point>0 && mbw_get_option("point_log")) {
						$user_pid	= ($mdb->get_var($mdb->prepare("select ".$mb_fields["users"]["fn_pid"]." from `".$mb_admin_tables["users"]."` where `".$mb_fields["users"]["fn_user_id"]."`=%s",$user_id)));
						mbw_set_log("point","+".$join_point,array("mode"=>"user","board_action"=>"join","board_name"=>"users","user_pid"=>$user_pid,"user_name"=>$login_info["name"]));
					}
					mbw_set_param("user_id",$user_id);
					mbw_analytics("today_join");
				}
			}else{
				//$mdb->query("update ".$mb_admin_tables["users"]." set ".$mb_fields["users"]["fn_user_picture"]."='".$login_info["thumbnail"]."' where ".$mb_fields["users"]["fn_user_id"]."='".$user_id."'");
			}			
			mbw_generate_auth_cookie($user_id,$user_mode,$expire);
		}
		do_action('mbw_sociallogin_body');

		$_SESSION["mb_user_remember"]		= '';
		$_SESSION["mb_user_mode"]				= '';
		if(!empty($social_login_data)){
			return;
		}
		$site_url		= mbw_get_http_url(MBW_HOME_URL);
		
		$script	= '<html><head><title>Social Login</title>';
		$script	.= '<script type="text/javascript">';
		$script	.= 'window.onload = function() {';
			$script	.= 'if (window.opener && !window.opener.closed){';
				$script	.= 'var parent_window	= opener.parent.window;';
				$script	.= 'var parent_path		= parent_window.location.pathname;';
				$script	.= 'var parent_href		= parent_window.location.href;';

				$script	.= 'if(parent_href.indexOf("redirect_to=")!=-1){';
					$script	.= 'var start_index		= parent_href.indexOf("redirect_to=");';
					$script	.= 'var end_index		= parent_href.length;';
					$script	.= 'if(parent_href.indexOf("&",start_index)!=-1) end_index		= parent_href.indexOf("&",start_index);';
					$script	.= 'var redirect_to		= parent_href.substring(start_index+12,end_index);';
					$script	.= 'if(redirect_to.indexOf(parent_window.location.host)<20) parent_window.location.href =decodeURIComponent(redirect_to);';
				$script	.= '}else if(parent_path.indexOf("/wp-login.php")!=-1){';	//워드프레스 로그인 화면
					if(has_filter('mf_user_login_redirect_to')){		//망보드 로그인 리다이렉트 필터가 존재할 경우 실행
						$script	.= 'parent_window.location.href =decodeURIComponent("'.apply_filters("mf_user_login_redirect_to",$site_url).'");';
					}else{
						$script	.= 'parent_window.location.href =decodeURIComponent("'.$site_url.'");';
					}
				$script	.= '}else{';
					if(has_filter('mf_user_login_redirect_to')){		//망보드 로그인 리다이렉트 필터가 존재할 경우 실행
						$redirect_url		= apply_filters("mf_user_login_redirect_to",'');
						if(!empty($redirect_url) && $redirect_url!='reload'){
							$script	.= 'parent_window.location.href =decodeURIComponent("'.apply_filters("mf_user_login_redirect_to",$site_url).'");';
						}else{
							$script	.= 'parent_window.location.reload();';
						}
					}else{
						$script	.= 'parent_window.location.reload();';	
					}
				$script	.= '}';

				$script	.= 'self.close();';
			$script	.= '}else{var wnd=window.open("about:blank", "_self");wnd.document.write("<html><head><title>잠시만 기다려주세요</title></head><body></body></html>");opener=window;window.close(); }';
			
		$script	.= '}';
		$script	.= '</script>';
		$script	.= '</head><body></body></html>';

		do_action('mbw_sociallogin_footer');

		echo $script;
	}
}
?>