<?php
//MB 모드일 경우에만 회원 URL 필터 적용
if(!is_admin() && strpos($_SERVER['PHP_SELF'],"/wp-login.php")===false && strpos($_SERVER["REQUEST_URI"],"/wp-login.php")===false && (mbw_get_option("user_mode")=="MB" || mbw_get_option("user_form_mode")=="MB")){	
	if($_SERVER['REQUEST_URI']!="/wp-admin/") add_filter( 'login_url', 'mbw_login_url_filter', 22);
	add_filter( 'logout_url', 'mbw_logout_url_filter', 22);
	add_filter( 'register_url', 'mbw_register_url_filter', 22);
	add_filter( 'lostpassword_url', 'mbw_lostpassword_url_filter', 22);
	add_filter( 'edit_profile_url', 'mbw_edit_profile_url_filter', 22);	

	if(!function_exists('mbw_login_url_filter')){
		function mbw_login_url_filter( $url ) {
			return mbw_get_user_url("login");
		}
	}
	if(!function_exists('mbw_logout_url_filter')){
		function mbw_logout_url_filter( $url ) {
			return mbw_get_user_url("logout");
		}
	}
	if(!function_exists('mbw_register_url_filter')){
		function mbw_register_url_filter( $url ) {
			return mbw_get_user_url("register");
		}
	}
	if(!function_exists('mbw_lostpassword_url_filter')){
		function mbw_lostpassword_url_filter( $url ) {
			return mbw_get_user_url("lost_password");
		}
	}
	if(!function_exists('mbw_edit_profile_url_filter')){
		function mbw_edit_profile_url_filter( $url ) {
			return mbw_get_user_url("user_info");
		}
	}
}
add_filter( 'mf_user_login_redirect_to', 'mbw_user_login_redirect_filter', 22);	
if(!function_exists('mbw_user_login_redirect_filter')){
	function mbw_user_login_redirect_filter( $url ) {
		if(mbw_get_option("user_login_redirect_url")!=""){
			return mbw_get_option("user_login_redirect_url");
		}else{
			return $url;
		}
	}
}
add_filter( 'mf_user_logout_redirect_to', 'mbw_user_logout_redirect_filter', 22);
if(!function_exists('mbw_user_logout_redirect_filter')){
	function mbw_user_logout_redirect_filter( $url ) {
		if(mbw_get_option("user_logout_redirect_url")!=""){
			return mbw_get_option("user_logout_redirect_url");
		}else{
			return $url;
		}
	}
}
// 메인 메뉴에 로그인, 로그아웃 메뉴 추가
//add_filter( 'wp_nav_menu_items', 'mbw_add_login_menu');
if(!function_exists('mbw_add_login_menu')){
	function mbw_add_login_menu($menu){
		if(mbw_is_login()){
			$link = '<li><a href="'.site_url().'/?mb_user=logout">Logout</a></li>';
		}else{
			$link = '<li><a href="'.mbw_get_user_url("login").'">Login</a></li>';
		}
		$menu = $menu . $link;
		return $menu;
	}
}
?>