<?php
$desktop_model				= array();
$tablet_model				= array();
$mobile_model				= array();
$desktop_model['version']	= "1.0.0";

$user_layout_type			= mbw_get_option("user_layout_type");
$tablet_user_layout_type	= mbw_get_option("tablet_user_layout_type");
$mobile_user_layout_type	= mbw_get_option("mobile_user_layout_type");
$user_layout_max_width	= mbw_get_option("user_layout_max_width");

if(!empty($user_layout_type)) $layout_type		= $user_layout_type;
else $layout_type	= 'responsive-box2';		// responsive-box1, responsive-box2, responsive-box3, responsive-box4
if(!empty($tablet_user_layout_type)) $tablet_layout_type		= $tablet_user_layout_type;
else $tablet_layout_type	= 'responsive-box2';		// responsive-box1, responsive-box2, responsive-box3, responsive-box4
if(!empty($mobile_user_layout_type)) $mobile_layout_type		= $mobile_user_layout_type;
else $mobile_layout_type	= 'responsive-box4';		// responsive-box1, responsive-box2, responsive-box3, responsive-box4
if(!empty($user_layout_max_width)) $layout_max_width		= $user_layout_max_width;
else $layout_max_width	= 'mb-max-width-700';

mbw_set_vars("user_layout_type",$layout_type);
mbw_set_vars("tablet_user_layout_type",$tablet_layout_type);
mbw_set_vars("mobile_user_layout_type",$mobile_layout_type);
mbw_set_vars("user_layout_class2",$layout_max_width);

$user_head_text	= "";
//$user_head_text	= '{"tpl":"tag","tag_name":"div","text":"회원가입","style":"font-weight:600;font-size:19px;padding:0px 4px 5px;margin-bottom:9px;border-bottom:solid 1px #dbdbdb !important;"},';

$desktop_model['write']		= $user_head_text.'
{"tpl":"tag","tag_name":"table","type":"start","name":"'.__MW("W_USER_JOIN").'","width":"15%,*","mobile_width":"90px,*","class":"table table-write","style":""},
	{"field":"fn_user_id","name":"W_ID","width":"140px","required":"(*)","type":"user_id","unique":"","modify":"text_static","maxlength":"50","pattern":"pattern_en_num_4ge","pattern_error":"MSG_ID_INPUT_ERROR1","description":"('.__MW("MSG_ID_INPUT_ERROR1").')"},
	{"field":"fn_user_name","name":"W_NAME","width":"100%","required":"(*)","maxlength":"20","pattern":"user_name","pattern_error":"'.__MW("MSG_NAME_INPUT_ERROR1").'(2~20)","filter":"filter_admin","filter_error":"MSG_NAME_FILTER_ERROR"},
	{"field":"fn_passwd","name":"W_PASSWORD","width":"100%","type":"password","required":"(*)","maxlength":"30","pattern":"pattern_8ge","pattern_error":"'.__MW("MSG_PASSWORD_AT_LEAST_8DIGITS").'","description":"<br>('.__MM("MSG_PASSWORD_AT_LEAST_8DIGITS").')"},
	{"field":"fn_passwd2","name":"'.__MW("W_PASSWORD_CONFIRMATION").'(*)","width":"100%","type":"password","maxlength":"30","pattern":"pattern_8ge","pattern_error":"'.__MW("MSG_PASSWORD_AT_LEAST_8DIGITS").'","description":"<br>('.__MW("MSG_PASSWORD_INPUT_ERROR1").')"},
	{"field":"fn_user_email","name":"W_EMAIL","width":"100%","pattern":"email","pattern_error":"MSG_EMAIL_FILTER_ERROR"},
	{"field":"fn_user_phone","name":"W_MOBILE","width":"100%","mobile_width":"100%","type":"user_handphone"},
	{"field":"fn_user_picture","name":"W_THUMBNAIL","width":"100%","type":"user_picture_upload"},
	{"field":"home_address1","type":"user_address","name":"W_ADDRESS","width":"100%"},
	{"field":"fn_allow_mailing","name":"W_AGREE_RECEIVE_EMAIL","width":"100%","type":"radio","data":"1,0","label":"'.__MW("W_EMAIL_ON_OFF").'","default":"1"},
{"tpl":"tag","tag_name":"table","type":"end"}
';
//{"field":"fn_allow_sms","name":"SMS 수신동의","width":"100%","type":"radio","data":"1,0","label":" 수신, 수신안함","default":"1"},
//{"field":"fn_user_phone","name":"W_MOBILE","width":"100%","mobile_width":"100%","type":"user_handphone","pattern":"phone","pattern_error":"MSG_PHONE_INPUT_ERROR1"},


$tablet_model									= $desktop_model;
$mobile_model								= $desktop_model;
mbw_set_fields("select_board",$mb_fields["users"]);

mbw_set_pattern("pattern_en_num_4ge","/^[a-z]+[a-z0-9_]{3,49}$/i");
mbw_set_pattern("pattern_2ge","/^.{2,}$/");
mbw_set_pattern("pattern_4ge","/^.{4,}$/");
mbw_set_pattern("pattern_8ge","/^.{8,}$/");
mbw_set_pattern("email","/^[0-9a-zA-Z]([-_\.]?[0-9a-zA-Z])*@[0-9a-zA-Z]([-_\.]?[0-9a-zA-Z])*\.[a-zA-Z]{2,3}$/i");
mbw_set_pattern("phone","/^\d{3}-\d{3,4}-\d{4}$/");
mbw_set_pattern("user_name","/^[0-9a-zA-Zㄱ-ㅎㅏ-ㅣ가-힝 ]{2,60}$/");
mbw_set_filter("filter_admin","admin,administrator,관리자,운영자");

mbw_set_board_option("fn_list_level",99);
if(mbw_get_request_mode()=="Frontend"){
	mbw_set_board_where(array("field"=>"fn_pid", "value"=>"0"));
}
if(!function_exists('mbw_user_register_api_body')){
	function mbw_user_register_api_body(){
		global $send_data,$mb_fields;
		
		$user_mode		= mbw_get_option("user_mode");
		if($user_mode=="WP"){		
			$user_id				= mbw_get_param("user_id");
			$user_name		= mbw_get_param("user_name");
			$user_passwd		= mbw_get_param("passwd");
			$user_picture		= mbw_get_param("user_picture");
			$user_email			= mbw_get_param("user_email");
			
			if(!empty($user_email)){
				global $mdb,$wpdb;
				$wp_user_email_check				= intval($mdb->get_var($mdb->prepare("SELECT count(*) from ".$wpdb->users." WHERE user_email = %s", $user_email )));
				if($wp_user_email_check!=0) $user_email			= "";
			}
			$userdata			= array('user_login' => $user_id,'user_pass' => $user_passwd,'user_nicename' => '','user_email' => $user_email,'display_name' => $user_name,'nickname' => $user_name,'user_url' => $user_picture);
			$wp_user_pid		= mbw_wp_insert_user($userdata);			

			if(!empty($mb_fields["users"]["fn_wp_user_pid"])) $send_data[$mb_fields["users"]["fn_wp_user_pid"]]		= $wp_user_pid;
			if(!empty($mb_fields["users"]["fn_user_platform"])) $send_data[$mb_fields["users"]["fn_user_platform"]]		= "wp";
		}else{
			$send_data[$mb_fields["users"]["fn_user_auth_key"]]				= mbw_get_user_auth_key();
		}
		//회원 가입 포인트 지급
		$join_point		= intval(mbw_get_option("user_join_point"));
		if(!empty($mb_fields["users"]["fn_user_point"]) && $join_point>0){
			$send_data[$mb_fields["users"]["fn_user_point"]]		= $join_point;		
			if(mbw_get_option("point_log")) mbw_set_log("point","+".$join_point,array("mode"=>"user","board_action"=>"join","board_name"=>"users","user_pid"=>mbw_get_param("board_pid"),"user_name"=>mbw_get_param("user_name")));
		}
	}
}
if(!function_exists('mbw_user_register_api_footer')){
	function mbw_user_register_api_footer(){
		if(mbw_get_param("board_pid")!=""){
			$log_type				= "join";
			if(mbw_get_option("login_log")) mbw_set_log($log_type,"",array("mode"=>"user","board_action"=>$log_type,"board_name"=>"users","user_pid"=>mbw_get_param("board_pid"),"user_name"=>mbw_get_param("user_name")));
			mbw_analytics("today_join");
		}
	}
}
add_action('mbw_board_api_footer', 'mbw_user_register_api_footer',5);
add_action('mbw_board_api_body', 'mbw_user_register_api_body',5);
add_action('mbw_board_api_init', 'mbw_join_user_phone',5);
?>