var popupName			= "socialPopup";	
var useBitlyApi			= true;
if(typeof(kakaoJavascriptKey)!=="undefined" && kakaoJavascriptKey!="") Kakao.init(kakaoJavascriptKey);

function sendSocialShare(platform,w,h,){
	var option = "width="+w+",height="+h+",toolbar=no,location=no,status=no,menubar=no,top=100,left=100,scrollbars=no,resizable=no";
	shareData["url2"]		= shareData["url"];
	if(("http:" == document.location.protocol) && useBitlyApi && bitlyApiId!="" && bitlyApiKey!=""){
		useBitlyApi				= false;
		var param				= "login="+bitlyApiId+"&apiKey="+bitlyApiKey+"&longUrl="+encodeURIComponent(shareData["url"]);

		jQuery.ajax({
			url: "http://api.bit.ly/v3/shorten",
			type: "POST",
			data: param,
			success:function(response,state){
				if(response.status_code == 200){
					shareData["url"]			= response.data.url;
				}
				openSocialSharePopup(platform,shareData,option);
			},error:function(e){
				openSocialSharePopup(platform,shareData,option);
			},timeout: 15000,
			cache: false,
			dataType: "json"
		});
	}else{
		openSocialSharePopup(platform,shareData,option);
	}
}
function sendSocialShare2(response){
}
function openSocialSharePopup(platform,data,option){
	var url					= encodeURIComponent(data["url"]);
	var image_url		= encodeURIComponent(data["image"]);
	var title				= encodeURIComponent(data["title"]);
	var content			= encodeURIComponent(data["content"]);
	if(typeof(mb_hybrid_app)!=='undefined' && mb_hybrid_app!=""){
		option		= "location=yes,hideurlbar=no";
	}
	
	if(platform=="facebook"){
		openWindow("http://www.facebook.com/sharer.php?u="+url+"&t="+title,popupName,option);
	}else if(platform=="twitter"){
		if(mb_options["device_type"]=="desktop"){
			openWindow("http://twitter.com/share?url="+url+"&text="+title,popupName,option);
		}else{
			if(typeof(mb_hybrid_app)!=='undefined' && mb_hybrid_app!="" && typeof(checkAppConnect)=="function"){
				var is_connect		= checkAppConnect("socialshare", {"name":"com.twitter.android","scheme":"twitter","param":platform});
				if(is_connect=="true"){
					moveURL("twitter://post?message="+title+"%0A"+data["url"],"",false);
				}else if(is_connect=="false"){
					openWindow("http://twitter.com/share?url="+url+"&text="+title,popupName,option);
				}
			}else{
				moveURL("twitter://post?message="+title+"%0A"+data["url"],"",false);
				setTimeout(function(){
					if (document.webkitHidden || document.hidden) {
					}else{
						openWindow("http://twitter.com/share?url="+url+"&text="+title,popupName,option);
					}
				}, 2000);
			}
		}
	}else if(platform=="google"){
		openWindow("http://plus.google.com/share?url="+url+"&title="+title,popupName,option);
	}else if(platform=="naver_blog"){
		openWindow("http://blog.naver.com/openapi/share?url="+url+"&title="+title,popupName,option);	
	}else if(platform=="naver_line"){
		if(mb_options["device_type"]=="desktop") openWindow("http://line.me/R/msg/text/?"+title+"%0A"+url,popupName,option);
		else openWindow("http://line.me/R/msg/text/?"+title+"%0A"+url,popupName,option); //openWindow("line://msg/text/?"+title+"%0A"+url,popupName,option);
	}else if(platform=="naver_band"){	
		if(mb_options["device_type"]=="desktop"){
			openWindow("http://band.us/plugin/share?body="+title+"%0A"+data["url"]+"&route="+data["url"],popupName,option);
		}else{
			if(typeof(mb_hybrid_app)!=='undefined' && mb_hybrid_app!="" && typeof(checkAppConnect)=="function"){
				var is_connect		= checkAppConnect("socialshare", {"name":"com.nhn.android.band","scheme":"bandapp","param":platform});
				if(is_connect=="true"){
					moveURL("bandapp://create/post?text="+title+"%0A"+data["url"]+"&route="+data["url"],"",false);
				}else if(is_connect=="false"){
					openWindow("http://band.us/plugin/share?body="+title+"%0A"+data["url"]+"&route="+data["url"],popupName,option);
				}
			}else{
				moveURL("bandapp://create/post?text="+title+"%0A"+data["url"]+"&route="+data["url"],"",false);
				setTimeout(function(){
					if (document.webkitHidden || document.hidden) {
					}else{
						openWindow("http://band.us/plugin/share?body="+title+"%0A"+data["url"]+"&route="+data["url"],popupName,option);
					}
				}, 2000);
			}
		}
	}else if(platform=="kakao_story"){
		if(mb_options["device_type"]=="desktop"){
			Kakao.Story.share({url: data["url"],text: (data["title"])});
		}else{
			if(typeof(mb_hybrid_app)!=='undefined' && mb_hybrid_app!="" && typeof(checkAppConnect)=="function"){
				var is_connect		= checkAppConnect("socialshare", {"name":"com.kakao.story","scheme":"kakaostory","param":platform});
				if(is_connect=="true"){
					Kakao.Story.open({url: data["url"],text: (data["title"])});
				}else if(is_connect=="false"){
					openWindow("https://story.kakao.com/s/share?url="+data["url"]+"&text="+data["title"],popupName,option);
				}
			}else{
				Kakao.Story.open({url: data["url"],text: (data["title"])});
				setTimeout(function(){
					if (document.webkitHidden || document.hidden) {
					}else{
						if(typeof(mb_hybrid_app)==='undefined' || mb_hybrid_app==""){
							Kakao.Story.share({url: data["url"],text: (data["title"])});
						}else{
							openWindow("https://story.kakao.com/s/share?url="+data["url"]+"&text="+data["title"],popupName,option);
						}
					}
				}, 2000);
			}
		}
	}else if(platform=="kakao"){
		Kakao.Link.sendDefault({ objectType: 'feed',content: {title: data["title"],description: data["content"],imageUrl: data["image"],link: {mobileWebUrl: data["url"],webUrl: data["url"]}}});
	}else if(platform=="mail"){
		moveURL("mailto:?subject="+data["title"]+"&body="+data["url"],"",false);
	}
}