<?php
if(empty($social_data['google_key'])){
	echo '망보드 옵션설정에서 "Google Server API Key" 항목을 입력해 주세요';
	exit;
}else if(empty($social_data['google_id'])){
	echo '망보드 옵션설정에서 "Google Client Id" 항목을 입력해 주세요';
	exit;
}else if(empty($social_data['google_secret'])){
	echo '망보드 옵션설정에서 "Google Client Secret" 항목을 입력해 주세요';
	exit;
}
require_once realpath(dirname(__FILE__) . '/sdk/google/vendor/autoload.php');

$client = new Google\Client();
$client->setClientId($social_data['google_id']);
$client->setClientSecret($social_data['google_secret']);
$client->setRedirectUri($redirect_uri);

$client->addScope("https://www.googleapis.com/auth/plus.login https://www.googleapis.com/auth/userinfo.email");
$client->setApplicationName("Google Login");
$client->setDeveloperKey($social_data['google_key']);

if (isset($_GET['code'])) {
	$client->authenticate($_GET['code']);
	$_SESSION['google_access_token'] = $client->getAccessToken();
}
if (!empty($_SESSION['google_access_token'])) {
	$client->setAccessToken($_SESSION['google_access_token']);
	
	$oAuth = new Google_Service_Oauth2($client);
	$user_profile = $oAuth->userinfo_v2_me->get();

	$login_info["id"]					= "1G".$user_profile['id'];
	if(isset($login_info['name'])) $login_info["name"]				= $user_profile['name'];
	if(isset($login_info['link'])) $login_info["link"]					= $user_profile['link'];
	if(isset($login_info['email'])) $login_info["email"]				= $user_profile['email'];
	if(isset($login_info['picture'])) $login_info["thumbnail"]			= $user_profile['picture'];
	$login_info["access_token"]	= $_SESSION['google_access_token'];
} else {
	$login_url		= $client->createAuthUrl();
	header('Location: '. $login_url);
	exit;
}
?>