<?php
if(empty($social_data['naver_id'])){
	echo '망보드 옵션설정에서 "Naver Client Id" 항목을 입력해 주세요';
	exit;
}else if(empty($social_data['naver_secret'])){
	echo '망보드 옵션설정에서 "Naver Client Secret" 항목을 입력해 주세요';
	exit;	
}
if(!empty($_GET["state"]))
	$state	= $_GET["state"];
else{
	$state	= md5( microtime() . mt_rand() );
}
	
if(!empty($_GET["code"])){
	require_once("sdk/naver/naver.php");
	$connection			= new Naver($social_data['naver_id'],$social_data['naver_secret'],$_GET["code"],$state,$redirect_uri);
	$user_profile			= $connection->get("https://apis.naver.com/nidlogin/nid/getUserProfile.xml");

	if(!empty($user_profile)){
		$user_profile						= json_decode($user_profile);
		$login_info["id"]					= "1N".$user_profile->id;		
		if(isset($user_profile->nickname)) $login_info["name"]				= $user_profile->nickname;
		else if(isset($user_profile->name)) $login_info["name"]				= $user_profile->name;
		else $login_info["name"]				= '-';
		$login_info["link"]				= "";
		if(isset($user_profile->profile_image)) $login_info["thumbnail"]		= $user_profile->profile_image;
		if(isset($user_profile->email)) $login_info["email"]				= $user_profile->email;
	}
}else{
	$login_url		= 'https://nid.naver.com/oauth2.0/authorize?client_id='.$social_data['naver_id'].'&response_type=code&redirect_uri='.trim(urlencode($redirect_uri)).'&state='.$state;
	header('Location: ' . $login_url);
	exit;
}
?>