<?php
if (!class_exists('TwitterOAuth')) {
	require 'sdk/twitter_old/twitterOAuth.php';
}

if (!empty($_GET["auth"]) && !empty($_SESSION['twitter_request_token'])) {

	if(empty($_SESSION['twitter_access_token'])){	
		$connection		= new TwitterOAuth($social_data['twitter_key'], $social_data['twitter_secret'], $_SESSION['twitter_request_token'], $_SESSION['twitter_request_token_secret']);
		$_SESSION['twitter_access_token'] = $connection->getAccessToken($_REQUEST['oauth_verifier']);
	}	
	$connection		= new TwitterOAuth($social_data['twitter_key'], $social_data['twitter_secret'], $_SESSION['twitter_access_token']['oauth_token'], $_SESSION['twitter_access_token']['oauth_token_secret']);
	$user_profile		= $connection->get("account/verify_credentials");

	$login_info["id"]					= "1T".$user_profile->id_str;
	if(isset($user_profile->name)) $login_info["name"]							= $user_profile->name;
	if(isset($user_profile->screen_name)) $login_info["link"]					= "https://twitter.com/".$user_profile->screen_name;
	$login_info["email"]				= "";	
	if(isset($user_profile->profile_image_url)) $login_info["thumbnail"]	= $user_profile->profile_image_url;
	$login_info["access_token"]	= $_SESSION['twitter_access_token'];
}else{

	$connection		= new TwitterOAuth($social_data['twitter_key'], $social_data['twitter_secret']);
	$request_token	= $connection->getRequestToken($redirect_uri);

	$oauth_token											= $request_token['oauth_token'];
	$_SESSION['twitter_request_token']				= $oauth_token ;
	$_SESSION['twitter_request_token_secret']		= $request_token['oauth_token_secret'];

	switch ($connection->http_code){
		case 200:
			$login_url = $connection->getAuthorizeURL($oauth_token);
			header('Location: ' . $login_url); 
			exit;
		default:
			echo "<br/>Connection with twitter Failed";
			exit;
	}
}
?>



