<?php
mbw_set_db_options("plugin","social");
$redirect_uri									= MBW_HOME_URL.'/?mb_social=login';
$social_data									= array();


//PHP 5.2.x or higher
//Reference : https://developers.kakao.com/docs/restapi#사용자-관리
//Register : https://developers.kakao.com/apps/new
//Redirect : http://홈페이지주소/?mb_social=login&auth=kakao 
$social_data['kakao_restapi_key']			= trim(mbw_get_option('kakao_restapi_key'));
$social_data['kakao_javascript_key']		= trim(mbw_get_option('kakao_javascript_key'));
$social_data['kakao_secret']				= trim(mbw_get_option('kakao_secret'));


//PHP 5.2.1 or higher
//Reference : https://developers.google.com/+/api/?hl=ko
//Register : https://console.developers.google.com/project
// API 및 인증 > 사용자 인증정보 > Oauth 웹에플리에이션, 공개 API 액세스 서버키, 
//Redirect : http://홈페이지주소/?mb_social=login&auth=google 

$social_data['google_key']					= trim(mbw_get_option('google_key'));
$social_data['google_id']					= trim(mbw_get_option('google_id'));
$social_data['google_secret']				= trim(mbw_get_option('google_secret'));

//PHP 5.2.x or higher
//Reference : https://nid.naver.com/devcenter/docs.nhn?menu=Overview
//Register : https://nid.naver.com/devcenter/register.nhn
//Redirect : http://홈페이지주소/?mb_social=login&auth=naver 
//naver api는 등록하고 한시간 정도 후에 진행됨
$social_data['naver_id']						= trim(mbw_get_option('naver_id'));
$social_data['naver_secret']				= trim(mbw_get_option('naver_secret'));


//PHP 5.3.2 or higher
//Reference : https://dev.twitter.com/web/javascript/loading
//Register : https://apps.twitter.com/
//Redirect : http://홈페이지주소/?mb_social=login&auth=twitter 
$social_data['twitter_key']					= trim(mbw_get_option('twitter_key'));
$social_data['twitter_secret']				= trim(mbw_get_option('twitter_secret'));
$social_data['twitter_token']				= trim(mbw_get_option('twitter_token'));
$social_data['twitter_token_secret']		= trim(mbw_get_option('twitter_token_secret'));


//PHP 5.2.x or higher
//Reference : https://developers.facebook.com/docs/graph-api/using-graph-api/v2.3
//Register : https://developers.facebook.com/quickstarts/?platform=web
$social_data['facebook_id']					= trim(mbw_get_option('facebook_id'));
$social_data['facebook_secret']			= trim(mbw_get_option('facebook_secret'));


//Reference : https://www.instagram.com/developer/
$social_data['instagram_id']				= trim(mbw_get_option('instagram_id'));
$social_data['instagram_secret']			= trim(mbw_get_option('instagram_secret'));


//Register : https://bitly.com/a/settings/advanced
$social_data['bitly_id']						= trim(mbw_get_option('bitly_id'));
$social_data['bitly_key']						= trim(mbw_get_option('bitly_key'));


?>
