var redirect_to			= "";
var login_error			= "";
var user_action		= "";
function sendLoginData(data){
	if(typeof(data.form_id)==='undefined') data.form_id	= 'mb_form_login';
	
	var param;
	user_action		= data.board_action;
	if(user_action=="logout" || user_action=="plugin_logout"){
		jQuery('#'+data.form_id+' input[name=board_action]').val("logout");
	}

	if(data.form_id=="mb_sidebar_login" || data.form_id=="mb_shortcode_login"){
		redirect_to		= "reload";
	}else if(typeof(data.redirect_to)==='undefined'){
		redirect_to		= mb_urls["home"];
	}else if(data.redirect_to!=""){
		redirect_to		= data.redirect_to;
	}

	if(typeof(data.error_box)==='undefined'){
		login_error		= "";
	}else{
		login_error		= data.error_box;
	}
	sendDataRequest(mb_urls["user_api"], jQuery('#'+data.form_id).serialize(), sendLoginDataHandler,sendUserDataErrorHandler);
	//sendFormDataRequest(jQuery('#'+data.form_id), mb_urls["user_api"], sendLoginDataHandler, sendUserDataErrorHandler);	
}

function sendLoginDataHandler(response, state){	
	if(response.state == "success"){
		if(typeof(response.redirect_to)!=='undefined' && response.redirect_to!=""){
			moveURL(response.redirect_to);
		}else if(redirect_to==""){
			moveURL(mb_urls["home"]);
		}else{
			moveURL(redirect_to);
		}
	}else{
		if(login_error!=""){
			mb_insertHtml("."+login_error,response.message);
		}else{
			showAlertPopup(response);
		}
	}
	user_action		= "";
	login_error		= "";
	redirect_to		= "";
}
function sendLogoutData(data){

	if(typeof(data.redirect_to)==='undefined'){
		redirect_to		= mb_urls["home"];
	}else if(data.redirect_to!=""){
		redirect_to		= data.redirect_to;
	}
	var param			= "mode=user&board_action=logout&board_name=users";	
	sendDataRequest(mb_urls["user_api"], param, sendLoginDataHandler);
}

function sendUserData(){	
	sendFormDataRequest(jQuery('#mb_form_user'), mb_urls["board_api"], sendUserDataHandler, sendUserDataErrorHandler);	
}

var checkUserID		= "";
function checkUserIDExist(){
	if(jQuery("form[name=mb_form_user] input[name=user_id]").val()==""){
		jQuery("form[name=mb_form_user] input[name=user_id]").addClass("mb-input-focus");
		showAlertPopup({"code":"1201","target_name":"user_id","message":mb_user_I18n.m_id});
	}else{
		checkUserID		= jQuery("form[name=mb_form_user] input[name=user_id]").val();
		var param			= "mode=user&board_action=id_check&board_name=user_register&user_id="+checkUserID;	
		sendDataRequest(mb_urls["user_api"], param, sendUserIDExistHandler);
	}
}

function sendUserIDExistHandler(response, state){	
	if(response.state == "success"){
		jQuery(".mb-input-focus").removeClass("mb-input-focus").addClass("mb-input-focus-green");
		showAlertPopup({"message":mb_user_I18n.m_id_available});
		jQuery("form[name=mb_form_user] input[name=user_id_check]").val(checkUserID);		
	}else{
		showAlertPopup(response);
	}
}


function sendEmailUserID(){
	jQuery(".mb-input-focus").removeClass("mb-input-focus");

	if(jQuery("form[name=mb_form_findid] input[name=user_email]").val()==""){
		jQuery("form[name=mb_form_findid] input[name=user_email]").addClass("mb-input-focus");
		showAlertPopup({"code":"1201","target_name":"user_email","message":mb_user_I18n.m_email});
	}else{

		sendFormDataRequest(jQuery('#mb_form_findid'), mb_urls["user_api"], sendEmailUserIDHandler, sendUserDataErrorHandler);	
	}
}
function sendEmailUserIDHandler(response){
	if(response.state == "success"){
		showAlertPopup({"message":mb_user_I18n.m_id_sent_email},function(){
			moveURL(mb_urls["login_url"]);
		});		
	}else{
		showAlertPopup(response);
	}
}

function resetUserPassword(){
	jQuery(".mb-input-focus").removeClass("mb-input-focus");

	if(jQuery("form[name=mb_form_password] input[name=user_id]").val()==""){
		jQuery("form[name=mb_form_password] input[name=user_id]").addClass("mb-input-focus");
		showAlertPopup({"code":"1201","target_name":"user_id","message":mb_user_I18n.m_id});
	}else if(jQuery("form[name=mb_form_password] input[name=user_email]").val()==""){
		jQuery("form[name=mb_form_password] input[name=user_email]").addClass("mb-input-focus");
		showAlertPopup({"code":"1201","target_name":"user_email","message":mb_user_I18n.m_email});
	}else{

		sendFormDataRequest(jQuery('#mb_form_password'), mb_urls["user_api"], sendUserPasswordResetHandler, sendUserDataErrorHandler);	
	}
}

function sendUserPasswordResetHandler(response, state){	
	if(response.state == "success"){
		showAlertPopup({"message":mb_user_I18n.m_pw_sent_email},function(){
			moveURL(mb_urls["login_url"]);
		});
		jQuery("form[name=mb_form_password] input[name=user_id]").val("");
		jQuery("form[name=mb_form_password] input[name=user_email]").val("");
	}else{
		showAlertPopup(response);
	}
}



function sendModifyPasswordData(){
	jQuery(".mb-input-focus").removeClass("mb-input-focus");
	var passwd		= jQuery("form[name=mb_form_password] input[name=passwd]").val();

	if(jQuery("form[name=mb_form_password] input[name=passwd_old]").val()==""){
		jQuery("form[name=mb_form_password] input[name=passwd_old]").addClass("mb-input-focus");
		showAlertPopup({"code":"1201","target_name":"passwd_old","message":mb_user_I18n.m_pw_existing});
	}else if(passwd==""){
		jQuery("form[name=mb_form_password] input[name=passwd]").addClass("mb-input-focus");
		showAlertPopup({"code":"1201","target_name":"passwd","message":mb_user_I18n.m_npw});
	}else if(passwd.length<8){
		jQuery("form[name=mb_form_password] input[name=passwd]").addClass("mb-input-focus");
		showAlertPopup({"code":"1201","target_name":"passwd","message":mb_user_I18n.m_pw_least_eight});		
	}else if(jQuery("form[name=mb_form_password] input[name=passwd2]").val()==""){
		jQuery("form[name=mb_form_password] input[name=passwd2]").addClass("mb-input-focus");
		showAlertPopup({"code":"1201","target_name":"passwd2","message":mb_user_I18n.m_npw_again});
	}else if(passwd!=jQuery("form[name=mb_form_password] input[name=passwd2]").val()){
		jQuery("form[name=mb_form_password] input[name=passwd2]").addClass("mb-input-focus");
		showAlertPopup({"code":"1201","target_name":"passwd2","message":mb_user_I18n.m_npw_match});		
	}else{
		sendFormDataRequest(jQuery('#mb_form_password'), mb_urls["user_api"], sendUserPasswordModifyHandler, sendUserDataErrorHandler);	
	}
}

function sendUserPasswordModifyHandler(response, state){	
	if(response.state == "success"){
		showAlertPopup({"message":mb_user_I18n.m_pw_modified},function(){
			moveURL(mb_urls["login_url"]);
		});		
		jQuery("form[name=mb_form_password]").find("input[type=text],input[type=password]").val("");
	}else{
		showAlertPopup(response);
	}
}

function sendUserRegisterData(){
	jQuery(".mb-input-focus").removeClass("mb-input-focus");
	
	if(jQuery("form[name=mb_form_user] input[name=user_id]").val()==""){
		jQuery("form[name=mb_form_user] input[name=user_id]").addClass("mb-input-focus");
		showAlertPopup({"code":"1201","target_name":"user_id","message":mb_user_I18n.m_id});
	}else if(jQuery("form[name=mb_form_user] input[name=user_id_check]").length>0 && jQuery("form[name=mb_form_user] input[name=user_id]").val()!=jQuery("form[name=mb_form_user] input[name=user_id_check]").val()){
		jQuery("form[name=mb_form_user] input[name=user_id]").addClass("mb-input-focus");
		showAlertPopup({"code":"1201","target_name":"user_id","message":mb_user_I18n.m_id_check});
	}else if(jQuery("form[name=mb_form_user] input[name=user_name]").val()==""){
		jQuery("form[name=mb_form_user] input[name=user_name]").addClass("mb-input-focus");
		showAlertPopup({"code":"1201","target_name":"user_name","message":mb_user_I18n.m_name});	
	}else if(jQuery("form[name=mb_form_user] input[name=passwd]").val()==""){
		jQuery("form[name=mb_form_user] input[name=passwd]").addClass("mb-input-focus");
		showAlertPopup({"code":"1201","target_name":"passwd","message":mb_user_I18n.m_pw});	
	}else if(jQuery("form[name=mb_form_user] input[name=passwd2]").val()==""){
		jQuery("form[name=mb_form_user] input[name=passwd2]").addClass("mb-input-focus");
		showAlertPopup({"code":"1201","target_name":"passwd2","message":mb_user_I18n.m_pw_again});
	}else if(jQuery("form[name=mb_form_user] input[name=passwd]").val()!=jQuery("form[name=mb_form_user] input[name=passwd2]").val()){
		jQuery("form[name=mb_form_user] input[name=passwd2]").addClass("mb-input-focus");
		showAlertPopup({"code":"1201","target_name":"passwd2","message":mb_user_I18n.m_pw_match});		
	}else{
		sendUserData();
	}
}

function sendUserDataHandler(response, state){	
	if(response.state == "success"){
		if(response.board_action == "write"){
			showAlertPopup({"message":mb_user_I18n.m_completed},function(){
				var url		= mb_urls["login_url"];
				if(url.indexOf('?')==-1) url		= url+'?ref=register';
				else url		= url+'&ref=register';
				moveURL(url);
			});
		}else if(response.board_action == "modify"){
			showAlertPopup({"message":mb_user_I18n.m_updated},function(){				
				moveURL("reload");
			});			
		}else{
		}
	}else{		
		showAlertPopup(response);
	}
}
function sendUserDataErrorHandler(e){
	//console.log(e);
}

function agreeCheckAll(){
	if(jQuery(".mb-user #user-agree-all").is(":checked")){
		jQuery(".mb-user :checkbox").prop("checked", true);
	}else{
		jQuery(".mb-user :checkbox").prop("checked", false);
	}
}
function checkUserAgree(type, url){
	if(jQuery("#user-ts").length>0 && !jQuery("#user-ts").is(":checked")){
		showAlertPopup({"code":"1201","target_name":"user-ts","message":mb_user_I18n.m_ts});
	}else if(jQuery("#user-pp").length>0 && !jQuery("#user-pp").is(":checked")){
		showAlertPopup({"code":"1201","target_name":"user-pp","message":mb_user_I18n.m_pp});
	}else{
		if(type=="home"){
			moveURL(url);
		}else{
			requestSocialLoginData(type);
		}		
	}
}	
function getPostcodeUser(type,id){
	if( typeof getPostcodeIframe == 'function' ) {
		getPostcodeIframe(type,id);
	}else{
		getPostcode(type,id);
	}
}