'회사'는 회원의 개인정보보호를 중요시하며, “정보통신망 이용촉진 및 정보보호 등에 관한 법률”, “개인정보보호법”, “위치정보의 보호 및 이용에 관한 법률” 및 유관기관이 제정한 지침 등 법령을 준수하고 있습니다.<br>
<br>
‘회사’는 개인정보처리(취급)방침을 통해 회원이 제공하는 개인정보가 어떠한 용도와 방식으로 이용되고 있는지, ‘회사’가 회원의 개인정보를 보호하기 위해 어떠한 노력을 기울이고 있는지를 알려드리고자 합니다.<br>
<br>
1. 수집/이용하는 개인정보의 항목 및 수집 방법<br>
회사가 수집하는 개인정보의 항목 및 수집 방법은 아래와 같습니다.<br>
1) 회원가입을 통해 수집하는 개인정보의 항목 :<br>
	- 회원 ID, 비밀번호, 이름, 별명, 이메일, 핸드폰번호, 전화번호, 썸네일, 주소, 생년월일, 성별<br>
2) 자동수집 항목 : 접속 로그, 접속 IP 정보, 서비스 이용기록, 쿠키<br>
<br>
회원은 위 개인정보의 제공을 거부할 수 있습니다. 다만, 개인정보의 제공을 거부할 경우 서비스 일부 또는 전체의 이용이 불가능할 수 있습니다.<br>
<br>
2. 개인정보의 수집 및 이용 목적<br>
회사는 수집한 개인정보를 홈페이지 관련 제반 서비스(모바일 웹/앱 포함)의 회원관리, 이벤트 정보 및 참여기회 제공, 서비스 이용에 대한 통계 등 아래의 목적으로만 개인정보를 이용합니다.<br>
<br>
1) 회원제 서비스 이용에 따른 본인확인, 개인 식별, 비인가 사용방지, 가입 의사 확인, 불만처리 등 민원처리<br>
2) 이벤트 정보 및 참여기회 제공, 광고성 정보 제공 등 마케팅 및 프로모션<br>
3) 서비스 이용에 대한 통계<br>
<br>
3. 개인정보의 보유 및 이용기간<br>
회원의 동의 하에 수집된 개인정보는 회원 자격이 유지되는 동안 보유 및 이용되며, 해지를 요청한 경우에는 재생할 수 없는 방법에 의하여 디스크에서 완전히 삭제하며 추후 열람이나 이용이 불가능한 상태로 처리됩니다.<br>
단, 회사는 개인정보 도용 등으로 인한 피해 발생시 복구와 피해자 보호 등을 위해 회원의 홈페이지 ID는 해지한 날로부터 최대 14일 동안 임시로 보관할 수 있으며 이후에는 재생할 수 없는 방법으로 완전히 삭제합니다. 또한 아래의 각호에 해당되는 경우는 예외로 합니다.<br>
첫째, 상법 등 법령의 규정에 의하여 보존할 필요성이 있는 경우<br>
계약 또는 청약철회 등에 관한 기록<br>
보존 이유 : 전자상거래 등에서의 소비자보호에 관한 법률<br>
보존 기간 : 5년<br>
대금결제 및 재화 등의 공급에 관한 기록<br>
보존 이유 : 전자상거래 등에서의 소비자보호에 관한 법률<br>
보존 기간 : 5년<br>
소비자의 불만 또는 분쟁처리에 관한 기록<br>
보존 이유 : 전자상거래 등에서의 소비자보호에 관한 법률<br>
보존 기간 : 3년<br>
접속 로그, 접속 IP 정보, 서비스 이용기록<br>
보존 이유 : 통신비밀보호법<br>
보존 기간 : 3개월<br>
둘째, 개별적으로 회원의 동의를 받은 경우<br>
<br>
5. 개인정보의 공유 및 제공<br>
회사는 회원의 개인정보를 수집 시 고지한 목적 내에서 사용하며, 원칙적으로 회원의 사전 동의 없이는 회원의 개인정보를 외부에 공개하지 않습니다. 다만, 아래의 경우에는 예외로 합니다.<br>
첫째, 회원이 사전에 공개에 동의한 경우<br>
둘째, 홈페이지에 게시한 서비스 이용약관이나 기타 회원 서비스 등 이용약관 또는 정책을 위반한 경우<br>
셋째, 서비스를 이용하여 타인에게 정신적, 물질적 피해를 줌으로써 그에 대한 법적인 조치를 취하기 위하여 개인정보를 공개해야 한다고 판단되는 충분한 근거가 있는 경우<br>
넷째, 기타 법에 의해 요구된다고 선의로 판단되는 경우<br>
예) 관련법에 의하여 자료 제공이 강제되는 경우 또는 적법한 절차에 의한 법원, 수사기관, 기타 행정기관의 요청이 있는 경우<br>
<br>
6. 개인정보의 파기절차 및 방법<br>
회원의 개인정보는 수집 및 이용목적이 달성되면 지체 없이 파기되며 파기 절차 및 방법은 아래의 기준에 의해 관리됩니다.<br>
1.1) 파기절차<br>
회원이 회원가입 등을 위해 입력한 정보 등 회사가 수집/이용한 정보는 이용목적이 달성된 후 내부 방침 및 기타 관련 법령에 의한 보관 기간 동안 저장된 후 파기됩니다.<br>
2.2) 파기방법<br>
① 종이에 출력된 개인정보는 분쇄기로 분쇄하거나 소각을 통하여 파기합니다.<br>
② 전자적 파일 형태로 저장된 개인정보 기록은 재생할 수 없는 기술적 방법을 사용하여 삭제합니다.<br>
<br>
7. 회원 및 법정대리인의 권리와 그 행사방법<br>
회원 및 법정 대리인은 언제든지 개인정보의 제공 동의 철회(회원탈퇴)를 할 수 있습니다. 개인정보의 제공 동의철회를 위해서는 서비스 내 “회원 탈퇴” 또는 “계정 삭제”를 클릭하여 탈퇴가 가능합니다. 또한, 등록되어 있는 자신 혹은 만14세 미만 아동(법정대리인에 한함)의 개인정보를 조회하거나 수정할 수 있습니다.<br>
회원이 개인정보의 오류에 대한 정정을 요청하신 경우에는 정정을 완료하기 전까지 당해 개인정보를 이용 또는 제공하지 않습니다. 또한 잘못된 개인정보를 제3 자에게 이미 제공한 경우에는 정정 처리결과를 제3자에게 지체 없이 통지하여 정정이 이루어지도록 하겠습니다.<br>
회사는 회원 혹은 법정 대리인의 요청에 의해 해지 또는 삭제된 개인정보는 "3. 개인정보의 보유 및 이용기간"에 명시된 바에 따라 처리하고 그 외의 용도로 열람 또는 이용할 수 없도록 처리하고 있습니다.<br>
<br>
8. 개인정보의 기술적, 관리적 보호대책<br>
회사는 회원의 개인정보를 취급함에 있어 개인정보가 분실, 도난, 유출, 변조, 훼손되지 않고 안전성을 확보하기 위하여 다음과 같은 기술적 및 관리적 대책을 강구하고 있습니다.<br>
회사는 해킹이나 컴퓨터 바이러스 등에 의해 회원의 개인정보가 유출되거나 훼손되는 것을 막기 위해 최선을 다하고 있습니다. 개인정보의 훼손에 대비해서 자료를 수시로 백업하고 있고 최신 백신프로그램을 이용하여 회원의 개인정보나 자료가 유출되거나 손상되지 않도록 방지하고 있으며 암호 알고리즘 등을 통하여 네트워크상에서 개인정보를 안전하게 전송할 수 있도록 하고 있습니다. 그리고 침입차단시스템을 이용하여 외부로부터의 무단 접근을 통제하고 있으며, 기타 시스템적으로 안정성을 확보하기 위한 가능한 모든 기술적 장치를 갖추려 노력하고 있습니다.<br>
회사는 회원의 개인정보 관련 취급을 담당자에 한정시키고 있고 이를 위한 별도의 비밀번호를 부여하여 정기적으로 갱신하고 있으며 담당자에 대한 수시 교육을 통하여 회사의 개인정보 처리(취급)방침의 준수를 항상 강조하고 있습니다.<br>
그리고 사내 전담기구 등을 통하여 회사의 개인정보 처리(취급)방침의 이행사항 및 담당자의 준수여부를 확인하여 문제가 발견될 경우 즉시 수정하고 바로 잡을 수 있도록 노력하고 있습니다.<br>
<br>
9. 개인정보 관리책임자 연락처<br>
개인정보관리 책임자<br>
이 름 : <br>
소 속 : <br>
직 책 : <br>
전화번호 : <br>
<br>
10. 개인정보에 관한 민원서비스<br>
회사는 회원의 개인정보와 관련하여 회원 여러분들의 의견을 수렴하고 있으며 불만을 처리하기 위하여 모든 절차와 방법을 마련하고 있습니다.<br>
회원은 상단에 명시한 "회사의 개인정보 관리책임자 및 담당자의 소속, 성명 및 연락처"항을 참고하여 전화, 1:1문의 등의 정해진 절차를 통해 불만사항을 신고할 수 있고 회사는 회원의 신고사항에 대하여 신속하고도 충분한 답변을 해 드릴 것입니다.<br>
또는 (정보보호마크 인증위원회 : www.eprivacy.or.kr FAX 02-580-0529), (한국인터넷진흥원 개인정보침해신고센터 : www.kopico.or.kr 전화 02-1336) 등에 불만처리를 신청할 수 있습니다.<br>
<br>
11. 기타<br>
‘회사’의 개인정보 처리(취급)방침은 법률 및 지침 변경이나 회사의 내부 방침 변경 등으로 인하여 변경될 수 있으며, ‘회사’는 개인정보 처리(취급)방침을 개정하는 경우 그 변경사항을 서비스 내 초기화면 기타 회원이 확인할 수 있는 방법으로 고지합니다. 개인정보처리(취급)방침의 내용 추가, 삭제 및 수정이 있을 시에는 개정 최소 7일전부터 고지할 것입니다.<br>
<br>
12.<부칙><br>
본 방침은 2024년 9월 1일부터 시행합니다.<br>
