<?php
if(is_file(MBW_PLUGIN_PATH."includes/languages/mb-business-".mbw_get_option("locale").".php")){
	require(MBW_PLUGIN_PATH."includes/languages/mb-business-".mbw_get_option("locale").".php");
}else if(is_file(MBW_PLUGIN_PATH."includes/languages/mb-business.php")){
	require(MBW_PLUGIN_PATH."includes/languages/mb-business.php");
}
require_once(MBW_PLUGIN_PATH."plugins/user/includes/func.user.php");
require_once(MBW_PLUGIN_PATH."plugins/user/includes/user-setting.php");
require_once(MBW_PLUGIN_PATH."plugins/user/includes/user-options.php");

if(!function_exists('mb_init_user')){
	function mb_init_user(){		
		loadScript(MBW_PLUGIN_URL."plugins/user/js/main.js");
		loadStyle(MBW_PLUGIN_URL."plugins/user/css/style.css");

		global $mb_languages;

		$mb_user_I18n							= array();
		$mb_user_I18n["m_id"]					= __MM('MSG_FIELD_EMPTY_ERROR1',$mb_languages["W_ID"]);		//아이디를 입력해 주세요
		$mb_user_I18n["m_id_available"]		= __MM('MSG_ID_AVAILABLE');		//사용 가능한 아이디 입니다
		$mb_user_I18n["m_email"]				= __MM('MSG_FIELD_EMPTY_ERROR2',$mb_languages["W_EMAIL"]);	//이메일 주소를 입력해 주세요
		$mb_user_I18n["m_id_sent_email"]	= __MM('MSG_ID_SENT_EMAIL')."<br>(".__MM('MSG_MOVE_LOGIN').')'; //"아이디가 메일로 전송되었습니다<br>로그인 페이지로 이동합니다";

		$mb_user_I18n["m_pw_sent_email"]	= __MM('MSG_PASSWORD_SENT_EMAIL')."<br>(".__MM('MSG_MOVE_LOGIN').')'; //"새로운 비밀번호가 메일로 전송되었습니다<br>로그인 페이지로 이동합니다";
		$mb_user_I18n["m_pw_existing"]		= __MM('MSG_PASSWORD_INPUT_EXISTING'); //"기존 비밀번호를 입력해 주세요";
		$mb_user_I18n["m_npw"]				= __MM('MSG_PASSWORD_INPUT_NEW'); //"새 비밀번호를 입력해 주세요";
		$mb_user_I18n["m_pw_least_eight"]	= __MM('MSG_PASSWORD_AT_LEAST_8DIGITS'); //"비밀번호는 8자리 이상 입력해 주세요";		
		$mb_user_I18n["m_npw_again"]		= __MM('MSG_NEW_PASSWORD_INPUT_AGAIN'); //"새비밀번호 확인을 입력해 주세요";
		$mb_user_I18n["m_npw_match"]		= __MM('MSG_NEW_PASSWORD_VERIFICATION_NOT_MATCH'); //"새 비밀번호와 새비밀번호 확인이 일치하지 않습니다";

		$mb_user_I18n["m_pw_modified"]	= __MM('MSG_PASSWORD_MODIFIED')."<br>(".__MM('MSG_MOVE_LOGIN').')'; //"비밀번호가 수정되었습니다<br>로그인 페이지로 이동합니다";

		$mb_user_I18n["m_id_check"]			= __MM('MSG_ID_CHECK_SAME'); //"아이디 중복 체크를 해주세요";
		$mb_user_I18n["m_name"]				= __MM('MSG_FIELD_EMPTY_ERROR2',$mb_languages["W_NAME"]); //"회원 이름을 입력해 주세요";	
		$mb_user_I18n["m_pw"]				= __MM('MSG_FIELD_EMPTY_ERROR2',$mb_languages["W_PASSWORD"]); //"비밀번호를 입력해 주세요";	
		$mb_user_I18n["m_pw_again"]		= __MM('MSG_PASSWORD_INPUT_VERIFICATION'); //"비밀번호 확인을 입력해 주세요";
		$mb_user_I18n["m_pw_match"]		= __MM('MSG_PASSWORD_VERIFICATION_NOT_MATCH'); //"비밀번호와 비밀번호 확인이<br>일치하지 않습니다";		
		$mb_user_I18n["m_completed"]		= __MM('MSG_MEMBERSHIP_REGISTRATION_COMPLETED')."<br>(".__MM('MSG_MOVE_LOGIN').')'; //"정상적으로 회원가입 되었습니다<br>로그인 페이지로 이동합니다";
		$mb_user_I18n["m_updated"]			= __MM('MSG_PROFILE_UPDATED'); //"수정되었습니다";
		$mb_user_I18n["m_ts"]					= __MM('MSG_ACCEPT_TERMS_CONDITIONS'); //"이용약관에 동의해 주세요";
		$mb_user_I18n["m_pp"]				= __MM('MSG_ACCEPT_PRIVACY_POLICY'); //"개인정보 취급방침에 동의해 주세요";
		wp_localize_script( 'plugins-user-js-main-js', 'mb_user_I18n', $mb_user_I18n);
	}
}
add_action('wp_enqueue_scripts', 'mb_init_user');
add_action('admin_enqueue_scripts', 'mb_init_user');

//회원정보 숏코드
//회원 아이디 출력 : [mb_user_info name="user_id"]
//회원 이미지 주소 출력 : [mb_user_info name="user_picture_url"]
if(!function_exists('mbw_get_shortcode_user_info')){
	function mbw_get_shortcode_user_info($args, $content=""){
		if(isset($args['name']) && strpos($args['name'], 'passwd')=== false){
			if($args['name']=='user_picture_url'){
				$img_path	= mbw_get_user('fn_user_picture');
				if($img_path!=""){
					if(strpos($img_path,'http')!==0) $img_path		= mbw_get_image_url("url",$img_path);
				}else{
					$img_path		= MBW_PLUGIN_URL."plugins/user/images/user_thumbnail.gif";
				}
				$user_info		= $img_path;
			}else{
				$user_info	= mbw_get_user($args['name']);
			}
			return $user_info;
		}
	}
}
add_shortcode("mb_user_info", 'mbw_get_shortcode_user_info');

//Shortcode Action 등록
if(!function_exists('mbw_shortcode_user_panel')){
	function mbw_shortcode_user_panel($content){
		$mb_shortcode		= "mb_user";
		if(strpos($content, '['.$mb_shortcode." name=") !== false){
			$index1			= strpos($content,'['.$mb_shortcode." name=")+15;
			$name			= substr($content,$index1,strpos($content,"\"",$index1)-$index1);
			if($name=="login" || $name=="user_login") loadStyle(MBW_PLUGIN_URL."plugins/user/css/login.css");
			if(!empty($name)) mbw_init_user_panel($name);
		}
	}
}
add_shortcode("mb_user", 'mbw_create_user_panel');
add_action('mbw_shortcode', 'mbw_shortcode_user_panel',5); 

if(!function_exists('mbw_init_user_panel')){
	function mbw_init_user_panel($name){
		global $mb_board_name;	
		if(!empty($_GET['type'])) $name		= $_GET['type'];
		$name	= mbw_value_filter($name,"name");

		mbw_set_vars("shortcode","user");
		mbw_set_param("mode","user");
		mbw_set_param("board_action",$name);

		if(strpos($name,'user_register')===0){
			$mb_board_name		= $name;
			mbw_load_postcode_script("daum");
		}else if(strpos($name,'user_info')===0){
			$mb_board_name		= $name;
			mbw_load_postcode_script("daum");
		}else if($name=="user_find_id"){
			$mb_board_name		= "user_find_id";		
		}else if($name=="lost_password"){
			$mb_board_name		= "user_password";		
		}else if($name=="modify_password"){
			$mb_board_name		= "user_password";
		}else{
			$mb_board_name		= "users";
		}
		mbw_init_board($mb_board_name);	
	}
}
if(!function_exists('mbw_create_user_panel')){
	function mbw_create_user_panel($args, $content=""){
		global $user_model,$mb_api_urls,$mb_board_name;
		if(defined("MBW_REQUEST_MODE") && (MBW_REQUEST_MODE=="API")){
			return;
		}
		mbw_add_trace("mbw_create_user_panel");

		if(empty($args['echo'])) ob_start();
		echo '<div class="clear"></div>';
		if(!empty($content)) $args["content"]		= $content;

		if(!isset($args['name'])){
			mbw_error_message("MSG_SEARCH_ERROR2", "ShortCode","1000");
		}else{
			mbw_set_board_params($args);
			mbw_is_permission_level();
		}
		if(mbw_get_result_data("state")=="error"){
			echo mbw_echo_error_message();
			if(empty($args['echo'])) return ob_get_clean();
			else return;
		}

		if(empty($args['style'])) $div_style			= "";
		else $div_style			= ' style="'.str_replace('"',"'",esc_attr($args['style'])).'"';

		$board_mode		= mbw_value_filter(mbw_get_param("mode"));
		$device_type			= mbw_get_vars("device_type");
		$class_array			= array();
		if(!empty($args[$device_type.'_'.$board_mode.'_class'])){
			$class_array[]		= mbw_value_filter(trim($args[$device_type.'_'.$board_mode.'_class']),"class");
		}
		if(!empty($args[$device_type.'_class'])){
			$class_array[]		= mbw_value_filter(trim($args[$device_type.'_class']),"class");
		}
		if(!empty($args[$board_mode.'_class'])){
			$class_array[]		= mbw_value_filter(trim($args[$board_mode.'_class']),"class");
		}
		if(!empty($args['class'])){
			$class_array[]		= mbw_value_filter(trim($args['class']),"class");
		}
		if(!empty($_REQUEST["template_class"])){
			$t_class			= str_replace(","," ",$_REQUEST["template_class"]);
			$class_array[]		= mbw_value_filter(trim($t_class),"class");
		}
		if(!empty($class_array)){
			$template_class		= implode(" ", $class_array);
		}else{
			$template_class		= "";
		}
		mbw_set_vars("template_class",$template_class);

		if(!empty($_GET['type'])) $name		= mbw_value_filter($_GET['type'],"name");
		else if(!empty($args['name']))		$name		= mbw_value_filter($args['name'],"name");
		else $name		= "login";

		$board_class	= "";
		if(function_exists('mbw_get_board_class')) $board_class	= mbw_get_board_class();

		echo '<div class="mb-'.esc_attr($device_type).'"><div class="mb-board mb-user"><div class="'.esc_attr($board_class).'">';
		if(!empty($template_class)){
			echo '<div class="'.esc_attr($template_class).'">';
		}
		echo '<div class="mb-style1">';
		
		require(MBW_PLUGIN_PATH."plugins/user/_header.php");
		do_action('mbw_user_header');	
		echo mbw_get_board_option("fn_board_header");	
		
		if(strpos($name,'user_register')===0){
			require(MBW_PLUGIN_PATH."plugins/user/".str_replace("_",'-',$name).".php");
		}else if($name=="user_find_id"){
			require(MBW_PLUGIN_PATH."plugins/user/user-find-id.php");		
		}else if($name=="lost_password"){
			require(MBW_PLUGIN_PATH."plugins/user/user-password.php");
		}else if($name=="modify_password"){
			if(mbw_is_login()){
				require(MBW_PLUGIN_PATH."plugins/user/user-password.php");
			}else{
				echo mbw_get_move_script("login");
			}
		}else if($name=="privacy_policy"){
			echo '<div class="mb-user-pp-template">';
				$page_title		= __MW("W_PRIVACY_POLICY");
				if(!empty($args['use_page_title'])) $use_page_title	= $args['use_page_title'];
				else $use_page_title		= "true";
				if(!empty($args['page_title'])) $page_title				= $args['page_title'];
				if($use_page_title!="false"){
					echo '<div class="mb-user-title"><span>'.$page_title.'</span></div>';
				}

				global $mdb,$mb_fields;
				$select_query	= $mdb->prepare("select ".$mb_fields["board"]["fn_content"]." from `".mbw_get_table_name("user_terms")."` where ".$mb_fields["board"]["fn_category1"]."='개인정보처리방침' and ".$mb_fields["board"]["fn_category2"]."=%s order by ".$mb_fields["board"]["fn_pid"]." desc limit 1",mbw_get_option("locale"));
				$content			= $mdb->get_var($select_query);
				
				if(empty($content)){
					if(is_file(MBW_PLUGIN_PATH."plugins/user/user-privacy-policy-".mbw_get_option("locale").".php")){
						require(MBW_PLUGIN_PATH."plugins/user/user-privacy-policy-".mbw_get_option("locale").".php");
					}else if(is_file(MBW_PLUGIN_PATH."plugins/user/user-privacy-policy.php")){
						require(MBW_PLUGIN_PATH."plugins/user/user-privacy-policy.php");
					}
				}else{
					$content			= mbw_htmlspecialchars_decode($content);
					if(function_exists('mbw_replace_image_url')) $content			= mbw_replace_image_url($content);
					echo "<div>".$content."</div>";
				}
			echo '</div>';
		}else if($name=="terms_service" || $name=="terms_conditions"){
			echo '<div class="mb-user-ts-template">';
				$page_title		= __MW("W_TERMS_CONDITIONS");
				if(!empty($args['use_page_title'])) $use_page_title	= $args['use_page_title'];
				else $use_page_title		= "true";
				if(!empty($args['page_title'])) $page_title				= $args['page_title'];
				if($use_page_title!="false"){
					echo '<div class="mb-user-title"><span>'.$page_title.'</span></div>';
				}
				
				global $mdb,$mb_fields;
				$select_query	= $mdb->prepare("select ".$mb_fields["board"]["fn_content"]." from `".mbw_get_table_name("user_terms")."` where ".$mb_fields["board"]["fn_category1"]."='이용약관' and ".$mb_fields["board"]["fn_category2"]."=%s order by ".$mb_fields["board"]["fn_pid"]." desc limit 1",mbw_get_option("locale"));
				$content			= $mdb->get_var($select_query);
				if(empty($content)){
					if(is_file(MBW_PLUGIN_PATH."plugins/user/user-terms-service-".mbw_get_option("locale").".php")){
						require(MBW_PLUGIN_PATH."plugins/user/user-terms-service-".mbw_get_option("locale").".php");
					}else if(is_file(MBW_PLUGIN_PATH."plugins/user/user-terms-service.php")){
						require(MBW_PLUGIN_PATH."plugins/user/user-terms-service.php");
					}
				}else{
					$content			= mbw_htmlspecialchars_decode($content);
					if(function_exists('mbw_replace_image_url')) $content			= mbw_replace_image_url($content);
					echo "<div>".$content."</div>";
				}
			echo '</div>';

		}else if($name=="logout"){
			echo mbw_get_move_script("logout");
		}else if(strpos($name,'user_info')===0){
			if(mbw_is_login()){
				require(MBW_PLUGIN_PATH."plugins/user/".str_replace("_",'-',$name).".php");
			}else{
				echo mbw_get_move_script("login");
			}
		}else if($name=="login" || $name=="user_login"){
			if(mbw_is_login()){		
				echo mbw_get_move_script("login_redirect");
			}else
				require(MBW_PLUGIN_PATH."plugins/user/user-login.php");			
		}else{
			require(MBW_PLUGIN_PATH."plugins/user/user-login.php");
		}	

		require(MBW_PLUGIN_PATH."plugins/user/_footer.php");
		do_action('mbw_user_footer');
		echo mbw_get_board_option("fn_board_footer");	

		echo '</div>';
		if(!empty($template_class)){
			echo '</div>';
		}
		echo '</div></div></div>';
		if(empty($args['echo'])) return ob_get_clean();
	}
}
?>