<?php
//템플릿 함수 등록(템플릿 타입의 접두사, 템플릿 함수명)
if(function_exists('mbw_add_template')) mbw_add_template("user","mbw_get_user_template");

if(!function_exists('mbw_get_user_template')){
	function mbw_get_user_template($mode, $data){
		global $mdb,$mstore,$mb_languages;
		$template_start		= "";
		$item_type			= $data["type"];
		
		if(strpos($item_type,'user_id')===0){
			$data["type"]			= "text";
			if(mbw_get_option("locale")=="ko_KR"){
				$data["width"]		= "calc(100% - 79px);";
				$template_start		= mbw_get_item_template($mode, $data);
				$template_start	.= mbw_get_btn_template(array("name"=>"W_DUPLICATE_VERIFICATION","onclick"=>"checkUserIDExist()","style"=>"width:74px;padding:5px 0 !important;text-align:center;","class"=>"btn btn-default margin-left-5")).'<input type="hidden" name="'.mbw_set_form_name("user_id_check").'" value="" />';
			}else{
				$data["width"]		= "100%;";
				$template_start		= mbw_get_item_template($mode, $data);
			}
		}else if(strpos($item_type,'user_view_id')===0){
			$user_id				= mbw_get_user("fn_user_id");
			$add_text				= "";
			if(strpos($user_id,'1')===0){
				if(strpos($user_id,'1K')===0){
					$add_text				= " [".__MW("W_SNS_KAKAO")."]";
				}else if(strpos($user_id,'1F')===0){
					$add_text				= " [".__MW("W_SNS_FACEBOOK")."]";
				}else if(strpos($user_id,'1T')===0){
					$add_text				= " [".__MW("W_SNS_TWITTER")."]";
				}else if(strpos($user_id,'1I')===0){
					$add_text				= " [".__MW("W_SNS_INSTAGRAM")."]";
				}else if(strpos($user_id,'1A')===0){
					$add_text				= " [".__MW("W_SNS_APPLE")."]";
				}else if(strpos($user_id,'1G')===0){
					$add_text				= " [".__MW("W_SNS_GOOGLE")."]";
				}else if(strpos($user_id,'1N')===0){
					$add_text				= " [".__MW("W_SNS_NAVER")."]";
				}
			}
			$template_start		.= $user_id.$add_text;
		}else if(strpos($item_type,'user_name_pid')===0){		
			if(mbw_get_param("mode")=="write" && mbw_get_param("board_action")!="modify")
				$user_name		= mbw_get_user("fn_user_name");
			else{
				$user_name		= (mbw_get_board_item('fn_user_name',false));
				if(mbw_get_board_item('fn_user_pid')=="0") $user_name		= "Guest";			
			}

			$template_start	.= '<input name="'.mbw_set_form_name("user_name").'" value="'.($user_name).'" type="hidden" />';
			$template_start	.= '<p>'.$user_name.'<span> ['.mbw_get_board_item('fn_user_pid').']</span></p>';
			if($item_type=='user_name_pid_date'){
				$date		= mbw_get_board_item("fn_reg_date");
				if(!empty($date)) $template_start	.= '<p style="font-size:11px;">('.$date.')</p>';
			}

		}else if(strpos($item_type,'user_name')===0){
			if(mbw_get_param("mode")=="write" && mbw_get_param("board_action")!="modify")
				$user_name		= mbw_get_user("fn_user_name");
			else
				$user_name		= mbw_get_board_item('fn_user_name');
				
			$template_start	.= '<input name="'.mbw_set_form_name("user_name").'" value="'.(mbw_get_board_item('fn_user_name',false)).'" type="hidden" />';
			$template_start	.= $user_name;
		}else if(strpos($item_type,'user_button_modify_password')===0){
			if(empty($data["width"])) $data["width"]		= '100px';
			if(mbw_get_vars("device_type")=="mobile"){
				$add_style1		= "max-width:130px !important;";
				$add_style2		= "min-width";
			}else{
				$add_style1		= "max-width:140px !important;";
				$add_style2		= "min-width";
			}
			$modify_password_url	= mbw_get_user_url("modify_password");
			$template_start	.= '<input style="width:calc(100% - 105px);'.$add_style1.';text-align:center;margin-right:5px;" readonly value="●●●●●●●●" type="text">'.mbw_get_btn_template(array("name"=>"W_CHANGE_PASSWORD","onclick"=>"moveURL('".$modify_password_url."')","style"=>$add_style2.":".$data["width"].";text-align:center;padding:5px 10px !important;line-height:1.1 !important;","class"=>"btn btn-default"));
		}else if(strpos($item_type,'user_home_address')===0 || strpos($item_type,'user_office_address')===0){
			$postcode			= "";
			$address1			= "";
			$address2			= "";
			
			if(strpos($item_type,'user_office_address')===0) $address_type		= "office";
			else $address_type		= "home";

			if(strpos($item_type,'user_home_address')===0){
				$postcode			= mbw_get_board_item("fn_home_postcode");
				$address1			= mbw_get_board_item("fn_home_address1");
				$address2			= mbw_get_board_item("fn_home_address2");
			}else if(strpos($item_type,'user_office_address')===0){
				$address_type		= "office";
				$postcode			= mbw_get_board_item("fn_office_postcode");
				$address1			= mbw_get_board_item("fn_office_address1");
				$address2			= mbw_get_board_item("fn_office_address2");
			}
			if(!empty($postcode)) $postcode		= '['.$postcode.'] ';
			$template_start	.= '<p>'.$postcode.$address1.' '.$address2.'</p>';
			
		}else if(strpos($item_type,'user_address')===0){
			$postcode			= "";
			$address1			= "";
			$address2			= "";
			
			if(strpos($item_type,'user_address_office')===0) $address_type		= "office";
			else $address_type		= "home";

			if(strpos($item_type,'user_address_info')===0){
				$postcode			= mbw_get_board_item("fn_home_postcode");
				$address1			= mbw_get_board_item("fn_home_address1");
				$address2			= mbw_get_board_item("fn_home_address2");
			}else if(strpos($item_type,'user_address_office_info')===0){
				$address_type		= "office";
				$postcode			= mbw_get_board_item("fn_office_postcode");
				$address1			= mbw_get_board_item("fn_office_address1");
				$address2			= mbw_get_board_item("fn_office_address2");
			}			
			$postcode_index		= mbw_get_vars("postcode_index");
			if(empty($postcode_index)){
				$postcode_index		= 1;
			}else{
				$postcode_index		= intval($postcode_index)+1;
			}
			$mb_locale		= mbw_get_option("locale");
			$postcode_type	= mbw_get_option("user_postcode_type");
			if($postcode_type=="none" || $mb_locale!="ko_KR"){
				$template_start	.= '<p style="margin:0 !important;"><input type="text" name="'.mbw_set_form_name($address_type.'_postcode').'" id="'.$address_type.'_postcode" placeholder="'.__MW("W_POSTAL_CODE").'" title="'.__MW("W_POSTAL_CODE").'" value="'.($postcode).'" style="width:150px;">';
				$template_start	.= '<p style="margin:5px 0 !important;"><input type="text" name="'.mbw_set_form_name($address_type.'_address1').'" id="'.$address_type.'_address1" placeholder="'.__MW("W_ADDRESS").'" title="'.__MW("W_ADDRESS").'" value="'.($address1).'" style="width:100%;"></p>';				
				$template_start	.= '<p style="margin:0 !important;"><input type="text" name="'.mbw_set_form_name($address_type.'_address2').'" id="'.$address_type.'_address2" placeholder="'.__MW("W_DETAILED_ADDRESS").'" title="'.__MW("W_DETAILED_ADDRESS").'" value="'.($address2).'" style="width:100%;"></p>';
			}else{
				mbw_set_vars("postcode_index",$postcode_index);
				$postcode_id		= "mb_kakao_postcode".$postcode_index;
				if($postcode_type=="kakao_popup1"){
					$fc_postcode		= "getPostcode";
				}else{
					$fc_postcode		= "getPostcodeIframe";
				}				
				$template_start	.= '<p style="margin:0 !important;"><input type="text" name="'.mbw_set_form_name($address_type.'_postcode').'" id="'.$address_type.'_postcode" readonly placeholder="'.__MW("W_POSTAL_CODE").'" title="'.__MW("W_POSTAL_CODE").'" value="'.($postcode).'" style="width:80px;" onclick="'.$fc_postcode.'(\''.$address_type.'\',\''.$postcode_id.'\');return false;">';
				$template_start	.= mbw_get_btn_template(array("name"=>"W_FIND_ADDRESS","onclick"=>$fc_postcode."('".$address_type."','".$postcode_id."')","class"=>"btn btn-default margin-left-5")).'</p>';
				$template_start	.= '<p style="margin:5px 0 !important;"><input type="text" name="'.mbw_set_form_name($address_type.'_address1').'" id="'.$address_type.'_address1" readonly placeholder="'.__MW("W_ADDRESS").'" title="'.__MW("W_ADDRESS").'" value="'.($address1).'" style="width:100%;" onclick="'.$fc_postcode.'(\''.$address_type.'\',\''.$postcode_id.'\');return false;"></p>';			
				$template_start	.= '<div id="'.$postcode_id.'" style="display:none;border:1px solid;width:100%;overflow-x:auto;height:300px;margin:5px 0;position:relative"><img src="//t1.daumcdn.net/postcode/resource/images/close.png" style="cursor:pointer;position:absolute;right:0px;top:-1px;z-index:1" onclick="document.getElementById(\''.$postcode_id.'\').style.display=\'none\';" alt="접기 버튼"></div>';
				$template_start	.= '<p style="margin:0 !important;"><input type="text" name="'.mbw_set_form_name($address_type.'_address2').'" id="'.$address_type.'_address2" placeholder="'.__MW("W_DETAILED_ADDRESS").'" title="'.__MW("W_DETAILED_ADDRESS").'" value="'.($address2).'" style="width:100%;"></p>';				
			}
		}else if(strpos($item_type,'user_picture')===0){

			$img_path			= $data["value"];
			if($img_path!="" && strpos($img_path,'http')!==0)
				$img_path		= mbw_get_image_url("url_small",$img_path);

			if(empty($data["img_width"])) $data["img_width"]			= "50px";
			if(empty($data["img_height"])) $data["img_height"]		= $data["img_width"];
			if(!empty($img_path)){
				$file_name		= $data["value"];
				if(strpos($file_name, '/F')!==false && strpos($file_name, '_')!==false){
					$file_name		= substr($file_name,strpos($file_name, '_')+1);
				}
				$file_name		= str_replace(",","",$file_name);
				$template_start	= '<a href="'.$img_path.'" title="'.esc_attr($file_name).'" target="_blank"><img'.$data["ext"].__STYLE("max-width:".$data["img_width"].";max-height:".$data["img_height"].";margin-right:10px !important;").' alt="'.$file_name.'" src="'.$img_path.'" /></a>';
			}

			if($item_type=='user_picture_upload'){
				$upload_type		= ' accept="image/*"';
				$data["width"]		= "calc(100% - 68px);";
				$template_start	.= '<input'.$data["ext"].__STYLE("width:".$data["width"].";".$data["style"]).' name="'.mbw_set_form_name($data["item_name"]).'" id="'.$data["item_id"].'" '.$upload_type.' type="file"/>';
				if(!empty($data["value"])) $template_start	.= '<input type="hidden" name="'.$data["item_name"].'" value="'.$data["value"].'" />';
			}
		}else if(strpos($item_type,'user_tel')===0){
			if(!empty($data["value"])){
				$user_tel			= $data["value"];
			}else{
				if($item_type=='user_tel_office'){
					$user_tel		= mbw_get_user("fn_office_tel");
				}else{
					$user_tel		= mbw_get_user("fn_home_tel");
				}
			}
			$mb_locale		= mbw_get_option("locale");
			$phone_type		= mbw_get_option("user_phone_type");
			if($phone_type=="none" || $mb_locale!="ko_KR"){
				if(empty($data["width"])) $data["width"]	= "100%";
				if(empty($data["ext"])) $data["ext"]	= "";
				if(empty($data["style"])) $data["style"]	= "";
				if(!empty($data["maxlength"])) $add_attribute	.= ' maxlength="'.intval($data["maxlength"]).'"';
				else $add_attribute		= "";
				$template_start			.= '<input'.$data["ext"].__STYLE("width:".$data["width"].";".$data["style"]).' type="text"'.$add_attribute.' name="'.mbw_set_form_name($data["item_name"]).'" id="'.$data["item_id"].'"  value="'.$user_tel.'" class="mb-user-phone" />';
			}else{
				$phone_array						= array_merge(explode("-",$user_tel),array("",""));
				$phone_data["type"]				= "select";
				$phone_data["name"]			= $data["name"];
				$phone_data["value"]			= $phone_array[0];
				$phone_data["width"]			= "28%";
				$phone_data["item_id"]			= $data["item_id"].'1';
				$phone_data["item_name"]	= mbw_set_form_name($data["item_name"]).'1';
				$phone_data["data"]				= "02,031,032,033,041,042,043,044,051,052,053,054,055,061,062,063,064,070,080";
				$phone_data["style"]				= "min-width:57px !important;max-width:80px;";
				$template_start				.= mbw_get_item_template("user",$phone_data);
				$template_start				.= ' - <input type="text" class="mbi-next-focus-num" name="'.mbw_set_form_name($data["item_name"]).'2" id="'.$data["item_id"].'2" value="'.($phone_array[1]).'" style="width:28%;max-width:80px;padding-left:0 !important;padding-right:0 !important;text-align:center;" maxlength="4" title="'.esc_attr($data["name"]).'"> - ';
				$template_start				.= '<input type="text" class="mbi-next-focus-num" name="'.mbw_set_form_name($data["item_name"]).'3" id="'.$data["item_id"].'3" value="'.($phone_array[2]).'" style="width:28%;max-width:80px;padding-left:0 !important;padding-right:0 !important;text-align:center;" maxlength="4" title="'.esc_attr($data["name"]).'">';
				$template_start				.= '<input type="hidden" name="'.mbw_set_form_name($data["item_name"]).'" id="'.$data["item_id"].'"  value="'.$user_tel.'" />';
			}

		}else if($item_type=='user_handphone'){
			if(!empty($data["value"])) $user_phone		= $data["value"];
			else $user_phone		= mbw_get_user("fn_user_phone");

			$mb_locale		= mbw_get_option("locale");
			$phone_type		= mbw_get_option("user_phone_type");
			if($phone_type=="none" || $mb_locale!="ko_KR"){			
				if(empty($data["width"])) $data["width"]	= "100%";
				if(empty($data["ext"])) $data["ext"]	= "";
				if(empty($data["style"])) $data["style"]	= "";
				if(!empty($data["maxlength"])) $add_attribute	.= ' maxlength="'.intval($data["maxlength"]).'"';
				else $add_attribute		= "";
				$template_start			.= '<input'.$data["ext"].__STYLE("width:".$data["width"].";".$data["style"]).' type="text"'.$add_attribute.' name="'.mbw_set_form_name($data["item_name"]).'" id="'.$data["item_id"].'"  value="'.$user_phone.'" class="mb-user-phone" />';
			}else{
				$phone_array					= array_merge(explode("-",$user_phone),array("",""));
				$phone_data["type"]			= "select";
				$phone_data["name"]			= $data["name"];
				$phone_data["value"]			= $phone_array[0];
				$phone_data["width"]			= "28%";
				$phone_data["item_id"]			= $data["item_id"].'1';
				$phone_data["item_name"]	= mbw_set_form_name($data["item_name"]).'1';
				$phone_data["data"]				= "010,011,016,017,018,019";
				$phone_data["style"]				= "min-width:57px !important;max-width:80px;";
				$template_start				.= mbw_get_item_template("user",$phone_data);
				$template_start				.= ' - <input type="text" class="mbi-next-focus-num" name="'.mbw_set_form_name($data["item_name"]).'2" id="'.$data["item_id"].'2" value="'.($phone_array[1]).'" style="width:28%;max-width:80px;padding-left:0 !important;padding-right:0 !important;text-align:center;" maxlength="4" title="'.esc_attr($data["name"]).'"> - ';
				$template_start				.= '<input type="text" class="mbi-next-focus-num" name="'.mbw_set_form_name($data["item_name"]).'3" id="'.$data["item_id"].'3" value="'.($phone_array[2]).'" style="width:28%;max-width:80px;padding-left:0 !important;padding-right:0 !important;text-align:center;" maxlength="4" title="'.esc_attr($data["name"]).'">';
				$template_start				.= '<input type="hidden" name="'.mbw_set_form_name($data["item_name"]).'" id="'.$data["item_id"].'"  value="'.$user_phone.'" />';
			}

			
		}else if($item_type=='user_terms_sample'){
			$template_start		.= '<div>';
				$template_start		.= '<button class="btn btn-default" style="margin:2px 10px 2px 0;" onclick="insertTermsSample(\'.mb-terms-sample1\');return false;">이용약관 샘플 입력</button>';
				$template_start		.= '<button class="btn btn-default" style="margin:2px 10px 2px 0;" onclick="insertTermsSample(\'.mb-terms-sample2\');return false;">쇼핑몰 이용약관 샘플 입력</button>';
				$template_start		.= '<button class="btn btn-default" style="margin:2px 10px 2px 0;" onclick="insertTermsSample(\'.mb-terms-sample3\');return false;">개인정보처리방침 샘플 입력</button>';
				$template_start		.= '<button class="btn btn-default" style="margin:2px 10px 2px 0;" onclick="insertTermsSample(\'.mb-terms-sample4\');return false;">쇼핑몰 개인정보처리방침 샘플 입력</button>';
			$template_start		.= '</div>';
			$template_start		.= '<script type="text/javascript">function insertTermsSample(name){  
				var editor_type	= jQuery("#editor_type").val();
				var terms_html	= jQuery(name).html();
				if(editor_type=="S"){
					if(typeof(oEditors)!=="undefined"){
						if(typeof(editor_id)!=="undefined" && editor_id!=""){
							oEditors.getById[editor_id].exec("SET_IR", [terms_html]);
						}else{
							oEditors.getById["se_content"].exec("SET_IR", [terms_html]);
						}
					}
				}else if(editor_type=="C"){
					if(typeof(ckeditor)!=="undefined"){
						if(typeof(editor_id)!=="undefined" && editor_id!="" && typeof(CKEDITOR)!=="undefined"){
							CKEDITOR.instances[editor_id].setData(terms_html);
						}else{
							ckeditor.setData(terms_html);
						}
					}
				}			
			}</script>';

			$template_start		.= '<div class="mb-terms-sample1" style="display:none;">';
				$template_start		.= file_get_contents(MBW_PLUGIN_PATH."plugins/user/user-terms-service.php");
			$template_start		.= '</div>';
			$template_start		.= '<div class="mb-terms-sample2" style="display:none;">';
				$template_start		.= file_get_contents(MBW_PLUGIN_PATH."plugins/user/user-terms-service-shop.php");
			$template_start		.= '</div>';
			$template_start		.= '<div class="mb-terms-sample3" style="display:none;">';
				$template_start		.= file_get_contents(MBW_PLUGIN_PATH."plugins/user/user-privacy-policy.php");
			$template_start		.= '</div>';
			$template_start		.= '<div class="mb-terms-sample4" style="display:none;">';
				$template_start		.= file_get_contents(MBW_PLUGIN_PATH."plugins/user/user-privacy-policy-shop.php");
			$template_start		.= '</div>';
			

		}else if($item_type=='user_phone'){
			$data["type"]					= "text";
			$data["value"]					= mbw_get_user("fn_user_phone");
			$template_start				= mbw_get_item_template($mode, $data);
		}
		return $template_start;
	}
}
?>